Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 5f2eb36f7b2a1b24645878422e2ca282a609b5bf)
+++ general/prog/prog.xml	(revision 1365d5517de0d969f8701aadcc4f07f9e8acf2f2)
@@ -38,4 +38,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="perl-modules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="php.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python-modules.xml"/>
Index: general/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision 5f2eb36f7b2a1b24645878422e2ca282a609b5bf)
+++ general/prog/python.xml	(revision 1365d5517de0d969f8701aadcc4f07f9e8acf2f2)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY python-download-http "http://www.python.org/ftp/python/&Python-version;/Python-&Python-version;.tar.xz">
-  <!ENTITY python-download-ftp  "&gentoo-ftp-repo;/Python-&Python-version;.tar.xz">
+  <!ENTITY python-download-http "http://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
+  <!ENTITY python-download-ftp  "&gentoo-ftp-repo;/Python-&python-version;.tar.xz">
   <!ENTITY python-md5sum        "3720ce9460597e49264bbb63b48b946d">
   <!ENTITY python-size          "8.5 MB">
@@ -16,5 +16,5 @@
 ]>
 
-<sect1 id="python" xreflabel="Python-&Python-version;">
+<sect1 id="python" xreflabel="Python-&python-version;">
   <?dbhtml filename="python.html" ?>
 
@@ -24,5 +24,5 @@
   </sect1info>
 
-  <title>Python-&Python-version;</title>
+  <title>Python-&python-version;</title>
 
   <indexterm zone="python">
@@ -142,9 +142,9 @@
     <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/Python-&Python-version;/html &amp;&amp;
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/Python-&python-version;/html &amp;&amp;
 tar --strip-components=1 \
     --no-same-owner \
     --no-same-permissions \
-    -C /usr/share/doc/Python-&Python-version;/html \
+    -C /usr/share/doc/Python-&python-version;/html \
     -xvf ../python-&python-majorver;-docs-html.tar.bz2</userinput></screen>
 
@@ -167,5 +167,5 @@
     individual user's or the system's profile:</para>
 
-    <screen role="root"><userinput>export PYTHONDOCS=/usr/share/doc/Python-&Python-version;/html</userinput></screen>
+    <screen role="root"><userinput>export PYTHONDOCS=/usr/share/doc/Python-&python-version;/html</userinput></screen>
 
   </sect2>
@@ -187,5 +187,5 @@
         <seg>/usr/include/python&python-majorver;,
         /usr/lib/python&python-majorver;, and
-        /usr/share/doc/python-&Python-version;</seg>
+        /usr/share/doc/python-&python-version;</seg>
       </seglistitem>
     </segmentedlist>
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision 1365d5517de0d969f8701aadcc4f07f9e8acf2f2)
+++ general/prog/python2.xml	(revision 1365d5517de0d969f8701aadcc4f07f9e8acf2f2)
@@ -0,0 +1,252 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY python2-download-http "http://www.python.org/ftp/python/&python2-version;/Python-&python2-version;.tar.xz">
+  <!ENTITY python2-download-ftp  "&gentoo-ftp-repo;/Python-&python2-version;.tar.xz">
+  <!ENTITY python2-md5sum        "75c87a80c6ddb0b785a57ea3583e04fa">
+  <!ENTITY python2-size          "9.5 MB">
+  <!ENTITY python2-buildsize     "235 MB (not including the test suite)">
+  <!ENTITY python2-time          "1 SBU (not including the test suite)">
+  <!ENTITY python2htmldoc-download-http "http://docs.python.org/ftp/python/doc/&python2-majorver;/python-&python2-majorver;-docs-html.tar.bz2">
+  <!ENTITY python2htmldoc-md5sum        "40f0bd51b221662cae14fb0c6b6f622b">
+  <!ENTITY python2htmldoc-size          "4.1 MB">
+]>
+
+<sect1 id="python2" xreflabel="Python-&python2-version;">
+  <?dbhtml filename="python2.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy: bdubbs $</othername>
+    <date>$Date: 2011-10-28 13:57:13 -0500 (Fri, 28 Oct 2011) $</date>
+  </sect1info>
+
+  <title>Python-&python2-version;</title>
+
+  <indexterm zone="python2">
+    <primary sortas="a-Python2">Python</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Python 2</title>
+
+    <para>The <application>Python 2</application> package contains the
+    <application>Python</application> development environment.
+    This is useful for object-oriented programming, writing scripts,
+    prototyping large programs or developing entire applications.  This version
+    is for backward compatibility with other dependent packages.</para>
+
+    <!-- Python compiled against Pth, OpenSSL, and SQLite.
+         326 tests OK, 36 tests skipped, 0 failures -->
+
+    &lfs70_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&python2-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&python2-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &python2-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &python2-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &python2-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &python2-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+
+    <itemizedlist spacing='compact'>
+      <title>Optional HTML Documentation</title>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&python2htmldoc-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &python2htmldoc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &python2htmldoc-size;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Python Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="pth"/>,
+    <xref linkend="libffi"/> or <xref linkend="gcc"/> (install JAVA so that the 
+    <filename class="libraryfile">libffi</filename> library is built), and
+    <ulink url="http://www.bluez.org/">BlueZ</ulink></para>
+
+    <bridgehead renderas="sect4">Optional
+    (to create package-specific support modules)</bridgehead>
+    <para role="optional"><xref linkend="openssl"/>,
+    <xref linkend="tk"/>,
+    <xref linkend="db"/>, and
+    <xref linkend="sqlite"/></para>
+
+    <para>Note that there is a circular dependency with the
+    <application>Tk</application> package as it requires Xorg to be installed
+    but parts of Xorg depend on <application>Python</application>.</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/Python"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Python</title>
+
+    <para>Install <application>Python</application> by running the following
+    commands:</para>
+
+<screen><userinput>sed -i "s/ndbm_libs = \[\]/ndbm_libs = ['gdbm', 'gdbm_compat']/" setup.py &amp;&amp;
+./configure --prefix=/usr --enable-shared &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make test</command>. Note that
+    if you have an existing <application>Python 2</application> installation
+    which includes the <application>PyXML</application> module, the tests could
+    produce a segmentation fault.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>There is no documentation installed using the instructions above.
+    See the <filename>Doc/README.txt</filename> file in the source
+    distribution for instructions on how to create the html. Alternatively,
+    you can download preformatted documentation from <ulink
+    url="http://docs.python.org/download.html"/>.</para>
+
+    <para>In order to use the <command>help ('name_string')</command> feature
+    of the <command>python</command> interpreter with some statements and
+    keywords, you must download (or create) the optional HTML documentation
+    and install it. If you downloaded the HTML docs, issue the following
+    commands as the
+    <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/Python-&python2-version;/html &amp;&amp;
+tar --strip-components=1 \
+    --no-same-owner \
+    --no-same-permissions \
+    -C /usr/share/doc/Python-&python2-version;/html \
+    -xvf ../python-&python2-majorver;-docs-html.tar.bz2</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i "s/ndbm_libs = ..." setup.py</command>: This command
+    is used to fix a build problem with the <application>GDBM</application>
+    library.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Python 2</title>
+
+    <para>In order for <command>python</command> to find the installed
+    documentation, you must add the following environment variable to
+    individual user's or the system's profile:</para>
+
+    <screen role="root"><userinput>export PYTHONDOCS=/usr/share/doc/Python-&python2-version;/html</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>pydoc, python, python-config, python&python2-majorver;,
+        python&python2-majorver;-config, smtpd.py, and optionally if
+        <application>Tk</application> is installed, idle</seg>
+        <seg>libpython&python2-majorver;.so and numerous modules installed in
+        /usr/lib/python&python2-majorver;/lib-dynload</seg>
+        <seg>/usr/include/python&python2-majorver;,
+        /usr/lib/python&python2-majorver;, and
+        /usr/share/doc/python-&python2-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="idle2">
+        <term><command>idle</command></term>
+        <listitem>
+          <para>is a wrapper script that opens a
+          <application>Python</application> aware GUI editor.</para>
+          <indexterm zone="python2 idle2">
+            <primary sortas="b-idle2">idle</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="pydoc2">
+        <term><command>pydoc</command></term>
+        <listitem>
+          <para>is the <application>Python</application> documentation
+          tool.</para>
+          <indexterm zone="python2 pydoc2">
+            <primary sortas="b-pydoc2">pydoc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="python2-prog">
+        <term><command>python</command></term>
+        <listitem>
+          <para>is an interpreted, interactive, object-oriented programming
+          language.</para>
+          <indexterm zone="python2 python2-prog">
+            <primary sortas="b-python2">python</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="python2-ver">
+        <term><command>python&python2-majorver;</command></term>
+        <listitem>
+          <para>is a version-specific name for the <command>python</command>
+          program.</para>
+          <indexterm zone="python2 python2-ver">
+            <primary sortas="b-python&python-majorver;">python&python-majorver;</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="smtpd.py2">
+        <term><command>smtpd.py</command></term>
+        <listitem>
+          <para>is an SMTP proxy implemented in
+          <application>Python</application>.</para>
+          <indexterm zone="python2 smtpd.py2">
+            <primary sortas="b-smtpd.py2">smtpd.py</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>