Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ general/prog/pycairo.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -7,7 +7,7 @@
   <!ENTITY pycairo-download-http "https://github.com/pygobject/pycairo/releases/download/v&pycairo-version;/pycairo-&pycairo-version;.tar.gz">
   <!ENTITY pycairo-download-ftp  " ">
-  <!ENTITY pycairo-md5sum        "7524f53b4aa947fbdd78fe185ed9a62d">
-  <!ENTITY pycairo-size          "188 KB">
-  <!ENTITY pycairo-buildsize     "5.2 MB">
+  <!ENTITY pycairo-md5sum        "34c1ee106655b450c4bd57e29371a4a7">
+  <!ENTITY pycairo-size          "192 KB">
+  <!ENTITY pycairo-buildsize     "5.6 MB">
   <!ENTITY pycairo-time          "less than 0.1 SBU">
 ]>
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ general/prog/pygobject3.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -9,7 +9,7 @@
   <!ENTITY pygobject3-download-ftp
            "&gnome-download-ftp;/pygobject/&gnome-minor-28;/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-md5sum        "bda3178850e3ae886eef3acc7056b51a">
+  <!ENTITY pygobject3-md5sum        "3bac63c86bb963aa401f97859464aa90">
   <!ENTITY pygobject3-size          "984 KB">
-  <!ENTITY pygobject3-buildsize     "22 MB (both modules, with tests)">
+  <!ENTITY pygobject3-buildsize     "23 MB (both modules, with tests)">
   <!ENTITY pygobject3-time          "0.3 SBU (both modules, with tests)">
 ]>
Index: general/prog/pyyaml.xml
===================================================================
--- general/prog/pyyaml.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ general/prog/pyyaml.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -7,7 +7,7 @@
   <!ENTITY PyYAML-download-http "http://pyyaml.org/download/pyyaml/PyYAML-&PyYAML-version;.tar.gz">
   <!ENTITY PyYAML-download-ftp  " ">
-  <!ENTITY PyYAML-md5sum        "4c129761b661d181ebf7ff4eb2d79950">
-  <!ENTITY PyYAML-size          "248 KB">
-  <!ENTITY PyYAML-buildsize     "10 MB">
+  <!ENTITY PyYAML-md5sum        "b78b96636d68ac581c0e2f38158c224f">
+  <!ENTITY PyYAML-size          "268 KB">
+  <!ENTITY PyYAML-buildsize     "12 MB">
   <!ENTITY PyYAML-time          "0.1 SBU">
 ]>
Index: general/prog/scour.xml
===================================================================
--- general/prog/scour.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ general/prog/scour.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -7,7 +7,7 @@
   <!ENTITY scour-download-http "https://github.com/scour-project/scour/archive/v&scour-version;/scour-&scour-version;.tar.gz">
   <!ENTITY scour-download-ftp  " ">
-  <!ENTITY scour-md5sum        "f7d03395a9ce51f822e5741034783e04">
-  <!ENTITY scour-size          "90 KB">
-  <!ENTITY scour-buildsize     "1.6 MB">
+  <!ENTITY scour-md5sum        "1de595a0b1627d47b01b4e5fa2976087">
+  <!ENTITY scour-size          "96 KB">
+  <!ENTITY scour-buildsize     "1.3 MB">
   <!ENTITY scour-time          "less than 0.1 SBU">
 ]>
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ general/prog/subversion.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -7,11 +7,11 @@
   <!ENTITY subversion-download-http "https://archive.apache.org/dist/subversion/subversion-&subversion-version;.tar.bz2">
   <!ENTITY subversion-download-ftp  " ">
-  <!ENTITY subversion-md5sum        "0126847f9e8cb8ed0b90a6a18b203309">
+  <!ENTITY subversion-md5sum        "e05fb3b25b1599b395ecc36d5ef1a145">
   <!ENTITY subversion-size          "8.0 MB">
   <!-- for 1.10.0 
        make javahl: 0.3 SBU 22 MB; 
        swig-pl swig-py and swig-rb: 1.2 SBU 95 MB -->
-  <!ENTITY subversion-buildsize     "166 MB (add 117 MB for bindings, 24 MB for docs, 1.0 GB for tests)">
-  <!ENTITY subversion-time          "0.5 SBU (Using parallelism=4; add 1.5 SBU for bindings, 22 SBU for tests)">
+  <!ENTITY subversion-buildsize     "167 MB (add 117 MB for bindings, 24 MB for docs, 1.0 GB for tests)">
+  <!ENTITY subversion-time          "0.4 SBU (Using parallelism=4; add 1.5 SBU for bindings, 22 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ introduction/welcome/changelog.xml	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -45,4 +45,24 @@
       <para>July 28th, 2018</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to PyYAML-3.13 (Python Module). Fixes 
+          <ulink url="&blfs-ticket-root;10927">#10927</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to scour-0.37 (Python Module). Fixes 
+          <ulink url="&blfs-ticket-root;10920">#10920</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pygobject3-3.28.3 (Python Module). Fixes 
+          <ulink url="&blfs-ticket-root;10836">#10836</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pycairo-1.17.1 (Python Module). Fixes 
+          <ulink url="&blfs-ticket-root;10928">#10928</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to subversion-1.10.2. Fixes 
+          <ulink url="&blfs-ticket-root;10966">#10966</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Remove chromium and lxqt.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8e17e54a287ef65642a99fcba4fd7fc55bc5206f)
+++ packages.ent	(revision 1456c25fa0376a3335b8051b511cb9aad559372d)
@@ -339,5 +339,5 @@
 <!ENTITY scons-version                "3.0.0">
 <!ENTITY slang-version                "2.3.2">
-<!ENTITY subversion-version           "1.10.0">
+<!ENTITY subversion-version           "1.10.2">
 <!ENTITY swig-version                 "3.0.12">
 <!ENTITY tcl-version                  "8.6.8">
@@ -418,12 +418,12 @@
 <!ENTITY pyatspi2-version             "2.26.0">
 <!--<!ENTITY py2cairo-version             "1.10.0"> -->
-<!ENTITY pycairo-version              "1.17.0">
+<!ENTITY pycairo-version              "1.17.1">
 <!ENTITY pycrypto-version             "2.6.1">
 <!ENTITY pygobject2-version           "2.28.7">
-<!ENTITY pygobject3-version           "3.28.2">
+<!ENTITY pygobject3-version           "3.28.3">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
-<!ENTITY PyYAML-version               "3.12">
-<!ENTITY scour-version                "0.36">
+<!ENTITY PyYAML-version               "3.13">
+<!ENTITY scour-version                "0.37">
 <!ENTITY six-version                  "1.11.0">
 <!-- <!ENTITY setuptools-version           "30.2.0"> -->