Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision 816595b1633344e020b0cef5fcd692c244ebbb1a)
+++ networking/netlibs/glib-networking.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
@@ -6,11 +6,11 @@
 
   <!ENTITY glib-networking-download-http
-           "&gnome-download-http;/glib-networking/2.32/glib-networking-&glib-networking-version;.tar.xz">
+           "&gnome-download-http;/glib-networking/2.34/glib-networking-&glib-networking-version;.tar.xz">
   <!ENTITY glib-networking-download-ftp  
-           "&gnome-download-ftp;/glib-networking/2.32/glib-networking-&glib-networking-version;.tar.xz">
-  <!ENTITY glib-networking-md5sum        "bbad85de0a1466fdfd696e06d84b8f0d">
-  <!ENTITY glib-networking-size          "326 KB">
+           "&gnome-download-ftp;/glib-networking/2.34/glib-networking-&glib-networking-version;.tar.xz">
+  <!ENTITY glib-networking-md5sum        "95cbaa1163e5fa6e4a7379d934303406">
+  <!ENTITY glib-networking-size          "340 KB">
   <!ENTITY glib-networking-buildsize     "8.0 MB">
-  <!ENTITY glib-networking-time          "0.2 SBU">
+  <!ENTITY glib-networking-time          "0.1 SBU">
 ]>
 
Index: networking/netlibs/libnice.xml
===================================================================
--- networking/netlibs/libnice.xml	(revision 816595b1633344e020b0cef5fcd692c244ebbb1a)
+++ networking/netlibs/libnice.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
@@ -8,8 +8,8 @@
            "http://nice.freedesktop.org/releases/libnice-&libnice-version;.tar.gz">
   <!ENTITY libnice-download-ftp  " ">
-  <!ENTITY libnice-md5sum        "1914dd98380dd68632d3d448cc23f1e8">
-  <!ENTITY libnice-size          "656 KB">
-  <!ENTITY libnice-buildsize     "12 MB">
-  <!ENTITY libnice-time          "0.1 SBU">
+  <!ENTITY libnice-md5sum        "1a0907605f852dcda32a3b3daf38d36c">
+  <!ENTITY libnice-size          "660 KB">
+  <!ENTITY libnice-buildsize     "20 MB">
+  <!ENTITY libnice-time          "less than 0.1 SBU">
 ]>
 
@@ -84,9 +84,10 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="gst-plugins-base"/>
+      <xref linkend="gst10-plugins-base"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="gst-plugins-base"/>,
       <xref linkend="gtk-doc"/> and
       <ulink url="http://gupnp.org/">gupnp-igd</ulink>
@@ -106,5 +107,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr \
+            --disable-static \
+            --without-gstreamer-0.10 &amp;&amp;
 make</userinput></screen>
 
@@ -126,4 +129,11 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <option>--without-gstreamer-0.10</option>: This switch disables
+      building of the <application>GStreamer</application> 0.10 plugins
+      which are not necesary for anything in BLFS. Remove it if you
+      have installed <xref linkend="gst-plugins-base"/>.
+    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -145,5 +155,6 @@
         </seg>
         <seg>
-          libgstnice.so and libnice.so
+          libnice.so and libgstnice.so
+          (<application>GStreamer</application> Plugin)
         </seg>
         <seg>
@@ -184,16 +195,4 @@
       </varlistentry>
 
-      <varlistentry id="libgstnice">
-        <term><filename class="libraryfile">libgstnice.so</filename></term>
-        <listitem>
-          <para>
-            is the <application>GStreamer</application> module.
-          </para>
-          <indexterm zone="libnice libgstnice">
-            <primary sortas="c-libgstnice">libgstnice.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="libnice-lib">
         <term><filename class="libraryfile">libnice.so</filename></term>
Index: networking/netlibs/librest.xml
===================================================================
--- networking/netlibs/librest.xml	(revision 816595b1633344e020b0cef5fcd692c244ebbb1a)
+++ networking/netlibs/librest.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
@@ -7,7 +7,7 @@
   <!ENTITY librest-download-http "&gnome-download-http;/rest/0.7/rest-&librest-version;.tar.xz">
   <!ENTITY librest-download-ftp  "&gnome-download-ftp;/rest/0.7/rest-&librest-version;.tar.xz">
-  <!ENTITY librest-md5sum        "dc14e0d89d38af5d8d544ce8f124d186">
-  <!ENTITY librest-size          "293 KB">
-  <!ENTITY librest-buildsize     "6.6 MB">
+  <!ENTITY librest-md5sum        "639d51e9e9276726db93b1b4c46887f2">
+  <!ENTITY librest-size          "300 KB">
+  <!ENTITY librest-buildsize     "7.0 MB">
   <!ENTITY librest-time          "0.2 SBU">
 ]>
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -153,5 +153,5 @@
 
       <varlistentry id="librest-0">
-        <term><filename class='libraryfile'>librest-0.7.so</filename></term>
+        <term><filename class="libraryfile">librest-0.7.so</filename></term>
         <listitem>
           <para>
@@ -165,5 +165,5 @@
 
       <varlistentry id="librest-extras-0">
-        <term><filename class='libraryfile'>librest-extras-0.7.so</filename></term>
+        <term><filename class="libraryfile">librest-extras-0.7.so</filename></term>
         <listitem>
           <para>
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 816595b1633344e020b0cef5fcd692c244ebbb1a)
+++ networking/netlibs/libsoup.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
@@ -6,10 +6,10 @@
 
   <!ENTITY libsoup-download-http
-           "&gnome-download-http;/libsoup/2.38/libsoup-&libsoup-version;.tar.xz">
+           "&gnome-download-http;/libsoup/2.40/libsoup-&libsoup-version;.tar.xz">
   <!ENTITY libsoup-download-ftp
-           "&gnome-download-ftp;/libsoup/2.38/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-md5sum        "d13fb4968acea24c26b83268a308f580">
-  <!ENTITY libsoup-size          "608 KB">
-  <!ENTITY libsoup-buildsize     "23 MB">
+           "&gnome-download-ftp;/libsoup/2.40/libsoup-&libsoup-version;.tar.xz">
+  <!ENTITY libsoup-md5sum        "4d66366e08271e22aef164ec4d74e5f0">
+  <!ENTITY libsoup-size          "692 KB">
+  <!ENTITY libsoup-buildsize     "25 MB">
   <!ENTITY libsoup-time          "0.3 SBU">
 ]>
@@ -131,4 +131,7 @@
     <title>Command Explanations</title>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
     <para>
       <option>--without-gnome</option>: This switch prevents
@@ -137,7 +140,4 @@
       <xref linkend="libgnome-keyring"/>.
     </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -160,5 +160,5 @@
           /usr/include/libsoup-2.4,
           /usr/include/libsoup-gnome-2.4 and
-          /usr/share/gtk-doc/html/libsoup-2.4.
+          /usr/share/gtk-doc/html/libsoup-2.4
         </seg>
       </seglistitem>
@@ -170,24 +170,24 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="libsoup-2.4">
-        <term><filename class='libraryfile'>libsoup-2.4.so</filename></term>
+      <varlistentry id="libsoup-2">
+        <term><filename class="libraryfile">libsoup-2.4.so</filename></term>
         <listitem>
           <para>
             provides functions for asynchronous HTTP connections.
           </para>
-          <indexterm zone="libsoup libsoup-2.4">
-            <primary sortas="c-libsoup-2.4">libsoup-2.4.so</primary>
+          <indexterm zone="libsoup libsoup-2">
+            <primary sortas="c-libsoup-2">libsoup-2.4.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>
 
-      <varlistentry id="libsoup-gnome-2.4">
-        <term><filename class='libraryfile'>libsoup-gnome-2.4.so</filename></term>
+      <varlistentry id="libsoup-gnome-2">
+        <term><filename class="libraryfile">libsoup-gnome-2.4.so</filename></term>
         <listitem>
           <para>
             provides <application>GNOME</application> specific features.
           </para>
-          <indexterm zone="libsoup libsoup-gnome-2.4">
-            <primary sortas="c-libsoup-gnome-2.4">libsoup-gnome-2.4.so</primary>
+          <indexterm zone="libsoup libsoup-gnome-2">
+            <primary sortas="c-libsoup-gnome-2">libsoup-gnome-2.4.so</primary>
           </indexterm>
         </listitem>
Index: pst/xml/itstool.xml
===================================================================
--- pst/xml/itstool.xml	(revision 816595b1633344e020b0cef5fcd692c244ebbb1a)
+++ pst/xml/itstool.xml	(revision 1491b49941c0720f96e92f5484269871d3696cde)
@@ -78,6 +78,5 @@
     <para role="required">
       <xref linkend="DocBook"/>,
-      <xref linkend="docbook-xsl"/>,
-      <xref linkend="libxslt"/> and
+      <xref linkend="docbook-xsl"/> and
       <xref linkend="python2"/>
     </para>