Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision 18d8cb20b96f451bcd54a6be325d38c63b08d72a)
+++ general/genlib/libxml2.xml	(revision 1515ed8ac0e4abe31a93957320b3b6706ecd2c6e)
@@ -5,135 +5,156 @@
   %general-entities;
 
-<!ENTITY libxml2-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-&libxml2-version;.tar.gz">
-<!ENTITY libxml2-download-ftp "ftp://xmlsoft.org/libxml2-&libxml2-version;.tar.gz">
-<!ENTITY libxml2-size "4.1 MB">
-<!ENTITY libxml2-md5sum "61587d43389a414fc2f5223b428e325e">
-<!ENTITY libxml2-buildsize "160 MB">
-<!ENTITY libxml2-time "1.05 SBU (additional 0.65 SBU to run the testsuite)">
+  <!ENTITY libxml2-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-&libxml2-version;.tar.gz">
+  <!ENTITY libxml2-download-ftp "ftp://xmlsoft.org/libxml2-&libxml2-version;.tar.gz">
+  <!ENTITY libxml2-size "4.1 MB">
+  <!ENTITY libxml2-md5sum "61587d43389a414fc2f5223b428e325e">
+  <!ENTITY libxml2-buildsize "160 MB">
+  <!ENTITY libxml2-time "1.05 SBU (additional 0.65 SBU to run the testsuite)">
 ]>
 
 <sect1 id="libxml2" xreflabel="libxml2-&libxml2-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="libxml2.html"?>
-<title>libxml2-&libxml2-version;</title>
-<indexterm zone="libxml2">
-<primary sortas="a-Libxml2">Libxml2</primary></indexterm>
+  <?dbhtml filename="libxml2.html"?>
+  
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+  
+  <title>Libxml2-&libxml2-version;</title>
+  
+  <indexterm zone="libxml2">
+    <primary sortas="a-Libxml2">Libxml2</primary>
+  </indexterm>
 
-<sect2>
-<title>Introduction to <application>libxml2</application></title>
+  <sect2 role="package">
+    <title>Introduction to Libxml2</title>
+    
+    <para>The <application>libxml2</application> package contains
+    XML libraries. These are useful for parsing XML files.</para>
+    
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libxml2-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libxml2-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libxml2-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libxml2-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libxml2-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libxml2-time;</para>
+      </listitem>
+    </itemizedlist>
+    
+    <bridgehead renderas="sect3">Libxml2 Dependencies</bridgehead>
+    
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="python"/></para>
+    
+  </sect2>
+  
+  <sect2 role="installation">
+    <title>Installation of Libxml2</title>
 
-<para>The <application>libxml2</application> package contains
-<acronym>XML</acronym> libraries. These are useful for parsing
-<acronym>XML</acronym> files.</para>
+    <para>Install <application>libxml2</application> by running the following 
+    commands:</para>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libxml2-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libxml2-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &libxml2-md5sum;</para></listitem>
-<listitem><para>Download size: &libxml2-size;</para></listitem>
-<listitem><para>Estimated disk space
-required: &libxml2-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libxml2-time;</para></listitem></itemizedlist>
-</sect3>
+<screen><userinput>./configure --prefix=/usr --with-history &amp;&amp;
+make</userinput></screen>
 
-<sect3><title><application>libxml2</application> dependencies</title>
-<sect4><title>Optional</title>
-<para><xref linkend="python"/></para>
-</sect4>
-</sect3>
+    <para>To test the results, issue: <command>make check</command>.</para>
+    
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    
+<screen role="root"><userinput>make install</userinput></screen>
+    
+  </sect2>
+  
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-</sect2>
+    <para><parameter>--with-history</parameter>: Enables 
+    <application>readline</application> support.</para>
+    
+  </sect2>
+  
+  <sect2 role="content">
+    <title>Contents</title>
 
-<sect2>
-<title>Installation of <application>libxml2</application></title>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+      
+      <seglistitem>
+        <seg>xml2-config, xmlcatalog, and xmllint</seg>
+        <seg>libxml2.[so,a] and optionally, the libxml2mod.[so,a] 
+        <application>Python</application> module</seg>
+        <seg>/usr/include/libxml2, /usr/share/doc/libxml2-&libxml2-version;, and 
+        /usr/share/doc/libxml2-python-&libxml2-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+    
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+      
+      <varlistentry id="xml2-config">
+        <term><command>xml2-config</command></term>
+        <listitem>
+          <para>determines the compile and linker flags that should be used to 
+          compile and link programs that use 
+          <filename class='libraryfile'>libxml2</filename>.</para>
+          <indexterm zone="libxml2 xml2-config">
+            <primary sortas="b-xml2-config">xml2-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xmlcatalog">
+        <term><command>xmlcatalog</command></term>
+        <listitem>
+          <para>is used to monitor and manipulate XML 
+          and SGML catalogs.</para>
+          <indexterm zone="libxml2 xmlcatalog">
+            <primary sortas="b-xmlcatalog">xmlcatalog</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xmllint">
+        <term><command>xmllint</command></term>
+        <listitem>
+          <para>parses XML files and outputs reports (based 
+          upon options) to detect errors in XML coding.</para>
+          <indexterm zone="libxml2 xmllint">
+            <primary sortas="b-xmllint">xmllint</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="libxml2-lib">
+        <term><filename class='libraryfile'>libxml2.[so,a]</filename></term>
+        <listitem>
+          <para> libraries provide the functions for programs to parse files 
+          that use the XML format.</para>
+          <indexterm zone="libxml2 libxml2-lib">
+            <primary sortas="c-libxml2">libxml2.[so,a]</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    
+    </variablelist>
 
-<para>Install <application>libxml2</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr --with-history &amp;&amp;
-make</command></userinput></screen>
-
-<para>To test the results, issue: <command>make check</command>.</para>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><option>--with-history</option>: Enables 
-<application>readline</application> support.</para>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Directories</segtitle>
-<seglistitem>
-<seg>xml2-config, xmlcatalog and xmllint</seg>
-<seg>libxml2.[so,a] and optionally, the libxml2mod.[so,a] 
-<application>Python</application> module</seg>
-<seg>/usr/include/libxml2, /usr/share/doc/libxml2-&libxml2-version; and 
-/usr/share/doc/libxml2-python-&libxml2-version;</seg>
-</seglistitem>
-</segmentedlist>
-
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-
-<varlistentry id="xml2-config">
-<term><command>xml2-config</command></term>
-<listitem><para>determines the compile and linker flags that should be used to 
-compile and link programs that use 
-<filename class='libraryfile'>libxml2</filename>.</para>
-<indexterm zone="libxml2 xml2-config">
-<primary sortas="b-xml2-config">xml2-config</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="xmlcatalog">
-<term><command>xmlcatalog</command></term>
-<listitem><para>is used to monitor and manipulate <acronym>XML</acronym> 
-and <acronym>SGML</acronym> catalogs.</para>
-<indexterm zone="libxml2 xmlcatalog">
-<primary sortas="b-xmlcatalog">xmlcatalog</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="xmllint">
-<term><command>xmllint</command></term>
-<listitem><para>parses <acronym>XML</acronym> files and outputs reports (based 
-upon options) to detect errors in <acronym>XML</acronym> coding.</para>
-<indexterm zone="libxml2 xmllint">
-<primary sortas="b-xmllint">xmllint</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="libxml2-lib">
-<term><filename class='libraryfile'>libxml2.[so,a]</filename></term>
-<listitem><para> libraries provide the functions for programs to parse files 
-that use the <acronym>XML</acronym> format.</para>
-<indexterm zone="libxml2 libxml2-lib">
-<primary sortas="c-libxml2">libxml2.[so,a]</primary></indexterm>
-</listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+  </sect2>
 
 </sect1>