Index: general/sysutils/gpm.xml
===================================================================
--- general/sysutils/gpm.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/gpm.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -118,5 +118,6 @@
 
     <sect3 id="gpm-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <indexterm zone="gpm gpm-init">
@@ -124,7 +125,14 @@
       </indexterm>
 
-      <para>Install the <filename>/etc/rc.d/init.d/gpm</filename> init script
-      included in the <xref linkend="bootscripts" revision="sysv"/>
-      <xref linkend="systemd-units" revision="systemd"/> package.</para>
+      <para revision="sysv">Install the
+      <filename>/etc/rc.d/init.d/gpm</filename> init script included in the
+      <xref linkend="bootscripts"/> package.</para>
+
+      <para revision="systemd">
+        To start the <command>gpm</command> daemon at boot,
+        install the systemd unit from the <xref linkend="systemd-units"/>
+        package by running the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
 
 <screen role="root"><userinput>make install-gpm</userinput></screen>
@@ -139,10 +147,10 @@
       <command>gpm-root</command> configuration files.</para>
 
-      <para><filename>/etc/sysconfig/mouse</filename>:
+      <para revision="sysv"><filename>/etc/sysconfig/mouse</filename>:
       This file contains the name of your mouse device and the protocol
       it uses.  To create this file, run the following as the
       <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>cat &gt; /etc/sysconfig/mouse &lt;&lt; "EOF"
+<screen role="root" revision="sysv"><userinput>cat &gt; /etc/sysconfig/mouse &lt;&lt; "EOF"
 <literal># Begin /etc/sysconfig/mouse
 
@@ -162,5 +170,5 @@
       </indexterm>
 
-      <indexterm zone="gpm gpm-config">
+      <indexterm zone="gpm gpm-config" revision="sysv">
         <primary sortas="e-etc-sysconfig-mouse">/etc/sysconfig/mouse</primary>
       </indexterm>
@@ -171,12 +179,13 @@
       <title>Configuration Information</title>
 
-      <para>Examples of values to set <envar>MDEVICE</envar>,
+      <para revision="sysv">Examples of values to set <envar>MDEVICE</envar>,
       <envar>PROTOCOL</envar>, and <envar>GPMOPTS</envar> to are:</para>
 
-<screen><literal>MDEVICE="/dev/input/mice"
+<screen revision="sysv"><literal>MDEVICE="/dev/input/mice"
 PROTOCOL="imps2"
 GPMOPTS=""</literal></screen>
 
-      <para>A list of which protocol values are known can be found by running
+      <para revision="sysv">A list of which protocol values are known can be
+      found by running
       <command>gpm -m <replaceable>[device]</replaceable> -t -help</command>.
       The <envar>MDEVICE</envar> setting depends on which type of mouse you
@@ -187,4 +196,16 @@
       are needed for your hardware.</para>
 
+      <para revision="systemd">
+        <application>GPM</application> is by default started with
+        the following parameters:
+        <parameter>-m /dev/input/mice -t imps2</parameter>. If the
+        mentioned parameters don't suit your needs, you can override
+        them by running the following the following commands as
+        the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root" revision="systemd"><userinput>install -v -dm755 /etc/systemd/system/gpm.service.d
+echo "ExecStart=/usr/sbin/gpm &lt;list of parameters&gt;" > /etc/systemd/system/gpm.service.d/99-user.conf</userinput></screen>
+
     </sect3>
 
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/sysstat.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -90,4 +90,11 @@
 <screen role="root"><userinput>make install</userinput></screen>
 
+    <para revision="systemd">
+      Install the systemd unit by running the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root" revision="systemd"><userinput>install -v -m644 sysstat.service /lib/systemd/system/sysstat.service</userinput></screen>
+
   </sect2>
 
@@ -174,13 +181,20 @@
       </indexterm>
 
-      <para>At system startup, a LINUX RESTART message must be inserted in the
-      daily data file to reinitialize the kernel counters. This can be
-      automated by installing the <filename>/etc/rc.d/init.d/sysstat</filename>
-      init script included in the <xref linkend="bootscripts" revision="sysv"/>
-      <xref linkend="systemd-units" revision="systemd"/>
-      package using the following command as the
+      <para revision="sysv">At system startup, a LINUX RESTART message must be
+      inserted in the daily data file to reinitialize the kernel counters. This
+      can be automated by installing the
+      <filename>/etc/rc.d/init.d/sysstat</filename> init script included in the
+      <xref linkend="bootscripts"/> package using the following command as the
       <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install-sysstat</userinput></screen>
+<screen role="root" revision="sysv"><userinput>make install-sysstat</userinput></screen>
+
+      <para revision="systemd">At system startup, a LINUX RESTART message must
+      be inserted in the daily data file to reinitialize the kernel counters.
+      This can be automated by enabling the previously installed systemd unit
+      by running the following command as the
+      <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root" revision="systemd"><userinput>systemctl enable sysstat</userinput></screen>
 
     </sect3>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/systemd.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -138,5 +138,5 @@
 
 <screen><userinput>sed -e 's@DRI and frame buffer@DRI@' \
-    -e '/SUBSYTEM==\"graphics\", KERNEL==\"fb\*\"/d' \
+    -e '/SUBSYSTEM==\"graphics\", KERNEL==\"fb\*\"/d' \
     -i  src/login/70-uaccess.rules</userinput></screen>
 
Index: general/sysutils/udisks.xml
===================================================================
--- general/sysutils/udisks.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/udisks.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -83,4 +83,9 @@
       <xref linkend="polkit"/>, and
       <xref linkend="sg3_utils"/>
+    </para>
+
+    <bridgehead renderas="sect4" revision="systemd">Recommended</bridgehead>
+    <para role="recommended" revision="systemd">
+      <xref linkend="systemd"/>
     </para>
 
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/udisks2.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -80,4 +80,9 @@
       <xref linkend="libxslt"/>, and
       <xref linkend="polkit"/>
+    </para>
+
+    <bridgehead renderas="sect4" revision="systemd">Recommended</bridgehead>
+    <para role="recommended" revision="systemd">
+      <xref linkend="systemd"/>
     </para>
 
@@ -192,4 +197,18 @@
       </varlistentry>
 
+      <varlistentry id="umountudisks2" revision="systemd">
+        <term><command>umount.udisks2</command></term>
+        <listitem>
+          <para>
+            is a command-line program used to unmount file systems
+            that have been mounted by the
+            <application>UDisks</application> daemon.
+          </para>
+          <indexterm zone="udisks2 umountudisks2">
+            <primary sortas="b-umount.udisks2">umountudisks2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libudisks2">
         <term><filename class="libraryfile">libudisks2.so</filename></term>
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision e4d2b8dae236dc82ff3c9b7dad7bb05e092999c3)
+++ general/sysutils/upower.xml	(revision 1552ac8aeb77f187eba7d11bba7cbbe71512be97)
@@ -148,4 +148,5 @@
     <title>Configuring your kernel for UPower</title>
 
+<!-- FIXME: Update for systemd xref for gnome-power-manager after it goes in -->
     <para>
       To use the command <command>upower -w</command> for information about
@@ -156,10 +157,29 @@
     </para>
 
-  </sect2>
+    <sect3  id="upower-init" revision="systemd">
+      <title>Systemd Unit</title>
+
+      <para>
+        To start the <command>upowerd</command> daemon at boot,
+        enable the previously installed systemd unit by
+        running the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+      <indexterm zone="upower upower-init">
+        <primary sortas="f-upower">upower</primary>
+      </indexterm>
+
+<screen role="root"><userinput>systemctl enable upower</userinput></screen>
+
+    </sect3>
+ 
+  </sect2>
+
   <sect2 role="content">
     <title>Contents</title>
 
     <segmentedlist>
-      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Program<phrase revision="systemd">s</phrase></segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -167,5 +187,5 @@
       <seglistitem>
         <seg>
-          upower
+          upower<phrase revision="systemd"> and upowerd</phrase>
         </seg>
         <seg>
@@ -197,4 +217,17 @@
       </varlistentry>
 
+      <varlistentry id="upowerd" revision="systemd">
+        <term><command>upowerd</command></term>
+        <listitem>
+          <para>
+            is the <application>UPower</application> Daemon. It provides the
+            org.freedesktop.UPower service on the system message bus.
+          </para>
+          <indexterm zone="upower upowerd">
+            <primary sortas="b-upowerd">upowerd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libupower-glib">
         <term><filename class="libraryfile">libupower-glib.so</filename></term>