Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ connect/dhcp/dhcp-client.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -33,5 +33,5 @@
 <para>For more information on the appropriate 
 <userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput> 
-values, examine the man-page for dhclient.</para>
+values, examine the man page for dhclient.</para>
 
 <para>Next, you should then create 
Index: connect/dhcp/dhcpcd/dhcpcd-config.xml
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -21,5 +21,5 @@
 <para>For more information on the apppropriate
 <userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput>
-values, examine the man-page for dhcpcd.</para>
+values, examine the man page for dhcpcd.</para>
 
 </sect3>
Index: general/graphlib/libtiff/libtiff-exp.xml
===================================================================
--- general/graphlib/libtiff/libtiff-exp.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ general/graphlib/libtiff/libtiff-exp.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -13,5 +13,5 @@
 <para><userinput>--with-DIR_MAN=/usr/share/man :</userinput> This is
 used because despite the fact we pass --prefix=/usr, the configure
-routine tries to install the man-pages in /usr/local/man instead of the
+routine tries to install the man pages in /usr/local/man instead of the
 correct place.</para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ introduction/welcome/changelog.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>April 5th, 2003 [larry]: servers: Update to
+sendmail-8.12.9.</para></listitem>
 
 <listitem><para>April 5th, 2003 [tushar]: openldap: Updated to 2.1.17.
Index: multimedia/audioutils/cdparanoia/CDParanoia-config.xml
===================================================================
--- multimedia/audioutils/cdparanoia/CDParanoia-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ multimedia/audioutils/cdparanoia/CDParanoia-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -5,5 +5,5 @@
 
 <para>CDParanoia itself needs little configuration; information can be
-found from the man-page.</para>
+found from the man page.</para>
 
 <para>For the libcdda library, the usual rules apply:</para>
Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/config/bootdisk.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -67,16 +67,8 @@
 
 <para>Next, we will install <ulink url="http://www.busybox.net/downloads/busybox-0.60.4.tar.bz2">busybox</ulink> onto the image.  Busybox incorporates many of the *nix functions into a single small executable file.</para>
-<screen><userinput>
-tar -xzvf busybox-0.60.4.tar.gz
-cd busybox-0.60.4
-make &amp;&amp;
-make PREFIX=/mnt/loop1 install
-</userinput></screen>
-
-
-<screen><userinput>
-cp -ax /var/utmp /mnt/loop1/var
-mkdir /mnt/loop1/var/log
-</userinput></screen>
+<screen><userinput>make &amp;&amp;
+make PREFIX=/mnt/loop1 install &amp;&amp;
+cp -ax /var/utmp /mnt/loop1/var &amp;&amp;
+mkdir /mnt/loop1/var/log</userinput></screen>
 <para>
 Also, keeping in mind your space limitations, copy any other binaries and libraries you 
@@ -89,29 +81,22 @@
 devices that busybox expects to find.</para>
 
-<screen><userinput>
-mv GNUmakefile Makefile
-make
-make PREFIX=/mnt/loop1 install
-cp /lib/libc.so.6 /lib/ld-linux.so.2 /lib/libdl.so.2 /tmp
-strip --strip-deb /tmp/ld-linux.so.2 /tmp/libc.so.6 /tmp/libdl.so.2
-mv /tmp/ld-linux.so.2 /tmp/libc.so.6 /tmp/libdl.so.2 /mnt/loop1/lib/	
-</userinput></screen>
+<screen><userinput>mv GNUmakefile Makefile &amp;&amp;
+make &amp;&amp;
+make PREFIX=/mnt/loop1 install &amp;&amp;
+cp /lib/libc.so.6 /lib/ld-linux.so.2 /lib/libdl.so.2 /tmp &amp;/&amp;
+strip --strip-deb /tmp/ld-linux.so.2 /tmp/libc.so.6 /tmp/libdl.so.2 &amp;&amp;
+mv /tmp/ld-linux.so.2 /tmp/libc.so.6 /tmp/libdl.so.2 /mnt/loop1/lib/</userinput></screen>
 <para>
 We will also need to set up an rc script to handle the devfsd startup.
 Put this in <filename>/mnt/loop1/etc/init.d/rcS</filename></para>
-<screen>
-#!/bin/sh
+<screen>#!/bin/sh
 mount -t devfs devfs /dev
-/sbin/devfsd /dev
-</screen>
+/sbin/devfsd /dev</screen>
 
 <para>
 Next create your compressed root filesystem.  We use -9 with gzip to
 make the smallest possible compressed image.</para>
-<screen><userinput>
-umount /mnt/loop1 &amp;&amp; dd if=/tmp/rfloppy bs=1k | gzip -v9 > rootfs.gz
-</userinput></screen>  
-<screen><userinput>ls -l rootfs.gz</userinput> to make sure it will fit on the diskette.
-</screen>
+<screen><userinput>umount /mnt/loop1 &amp;&amp; dd if=/tmp/rfloppy bs=1k | gzip -v9 > rootfs.gz</userinput></screen>  
+<screen><userinput>ls -l rootfs.gz</userinput> to make sure it will fit on the diskette.</screen>
 <para>
 make a custom kernel that is optimized for size.  Include only those features
Index: postlfs/config/skel.xml
===================================================================
--- postlfs/config/skel.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/config/skel.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -9,5 +9,5 @@
 <filename>/usr/sbin/useradd</filename> program.</para>
 
-<para>For more information see <filename>man useradd</filename>.</para>
+<para>For more information see <userinput>man useradd</userinput>.</para>
 
 <para>To get started create a <filename>/etc/skel</filename> directory.
@@ -23,5 +23,5 @@
 parameter.  For example:</para>
 
-<para><screen>[prompt]#<userinput>useradd -m -s/bin/bash jwrober</userinput></screen></para>
+<para><screen><userinput>useradd -m -s/bin/bash jwrober</userinput></screen></para>
 
 <para>The <filename>/usr/sbin/useradd</filename> program uses a
Index: postlfs/config/vimrc.xml
===================================================================
--- postlfs/config/vimrc.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/config/vimrc.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -41,42 +41,32 @@
 options in this example file means here:</para>
 <itemizedlist>
-<listitem><para><userinput>set nocompatible :</userinput>
-This option stops vim from behaving in a strongly vi-compatible way.  It
+<listitem><para><userinput>set nocompatible</userinput> : This option stops vim from behaving in a strongly vi-compatible way.  It
 should be at the start of any vimrc file as it can affect lots of other
 options which you may want to override.</para></listitem>
 
-<listitem><para><userinput>set bs=2 :</userinput>
-This influences the behavior of the backspace option.  It is fairly
+<listitem><para><userinput>set bs=2</userinput> : This influences the behavior of the backspace option.  It is fairly
 complex so see <userinput>:help 'bs'</userinput> for more 
 details.</para></listitem>
 
-<listitem><para><userinput>set columns=80 :</userinput>
-This simply sets the number of columns used on the 
+<listitem><para><userinput>set columns=80</userinput> : This simply sets the number of columns used on the 
 screen.</para></listitem>
 
-<listitem><para><userinput>set background=dark :</userinput>
-This tells vim to use colors which look good on a dark 
+<listitem><para><userinput>set background=dark</userinput> : This tells vim to use colors which look good on a dark 
 background.</para></listitem>
 
-<listitem><para><userinput>set tabstop=8 :</userinput>
-The number of spaces which a tabstop takes.</para></listitem>
+<listitem><para><userinput>set tabstop=8</userinput> : The number of spaces which a tabstop takes.</para></listitem>
 
-<listitem><para><userinput>set wrapmargin=8 :</userinput>
-This is the number of characters from the right window 
+<listitem><para><userinput>set wrapmargin=8</userinput> : This is the number of characters from the right window 
 border where wrapping starts.</para></listitem>
 
-<listitem><para><userinput>set nobk :</userinput>
-This stops vim from creating a backup before 
+<listitem><para><userinput>set nobk</userinput> : This stops vim from creating a backup before 
 overwriting a file.</para></listitem>
 
-<listitem><para><userinput>syntax on :</userinput>
-Enables vim's syntax highlighting.</para></listitem>
+<listitem><para><userinput>syntax on</userinput> : Enables vim's syntax highlighting.</para></listitem>
 
-<listitem><para><userinput>set ruler :</userinput>
-This makes vim show the current row and column at the bottom right of
+<listitem><para><userinput>set ruler</userinput> : This makes vim show the current row and column at the bottom right of
 the screen.</para></listitem>
 
-<listitem><para><userinput>set noexpandtab :</userinput>
-This makes vim insert tabs as tab characters instead of as a set of
+<listitem><para><userinput>set noexpandtab</userinput> : This makes vim insert tabs as tab characters instead of as a set of
 spaces.</para></listitem>
 
Index: postlfs/editors/joe/joe-config.xml
===================================================================
--- postlfs/editors/joe/joe-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/editors/joe/joe-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -3,5 +3,5 @@
 
 <para>Joe can make use of several configuration files. Information
-about these files may be found in the joe man-page. These files
+about these files may be found in the joe man page. These files
 are <filename>/etc/jmacsrc</filename>, <filename>/etc/joerc</filename>,
 <filename>/etc/jpicorc</filename>, <filename>/etc/jstarrc</filename>,
Index: postlfs/security/firewalling/busybox.xml
===================================================================
--- postlfs/security/firewalling/busybox.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/security/firewalling/busybox.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -103,5 +103,5 @@
 
 <para>These are only examples to show you some of the capabilities of the new 
-firewalling-code in Linux-Kernel 2.4. Have a look at the man-page of
+firewalling-code in Linux-Kernel 2.4. Have a look at the man page of
 iptables.
 There you will find more of them. The port-numbers you'll need for this
Index: postlfs/shells/tcsh/tcsh-config.xml
===================================================================
--- postlfs/shells/tcsh/tcsh-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/shells/tcsh/tcsh-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -10,5 +10,5 @@
 <filename>/etc/csh.logout</filename>, <filename>~/.logout</filename> and
 <filename>~/.logout</filename>.  More information on these files can be
-found in the <filename>tcsh(1)</filename> man-page.</para>
+found in the <filename>tcsh(1)</filename> man page.</para>
 </sect3>
 
Index: postlfs/shells/tcsh/tcsh-exp.xml
===================================================================
--- postlfs/shells/tcsh/tcsh-exp.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/shells/tcsh/tcsh-exp.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><userinput>cp tcsh.man /usr/share/man/man1/tcsh.1</userinput> : tcsh doesn't install its man-page correctly, so we do it manually.</para>
+<para><userinput>cp tcsh.man /usr/share/man/man1/tcsh.1</userinput> : tcsh doesn't install its man page correctly, so we do it manually.</para>
 
 <para><userinput>ln -s /usr/bin/tcsh /bin/csh</userinput> : The FHS states that
Index: postlfs/shells/zsh/zsh-config.xml
===================================================================
--- postlfs/shells/zsh/zsh-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ postlfs/shells/zsh/zsh-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -8,5 +8,5 @@
 <filename>/etc/zlogout</filename>.  You can find more information on
 these in the <userinput>zsh(1)</userinput> and related 
-man-pages.</para>
+man pages.</para>
 </sect3>
 
Index: server/mail/sendmail/sendmail-config.xml
===================================================================
--- server/mail/sendmail/sendmail-config.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ server/mail/sendmail/sendmail-config.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -9,6 +9,5 @@
 
 <sect3><title>Configuring sendmail</title>
-<para><screen><userinput>
-echo `hostname` > /etc/mail/local-host-names
+<para><screen><userinput>echo `hostname` > /etc/mail/local-host-names
 cat &gt; /etc/mail/aliases &lt;&lt; "EOF"
 postmaster: root
@@ -19,6 +18,5 @@
 cp -R  /usr/src/sendmail-&sendmail-version;/cf/cf/submit.mc . &amp;&amp;
 cp -R  /usr/src/sendmail-&sendmail-version;/cf/cf/sendmail.mc . &amp;&amp;
-newaliases -v &amp;&amp;
-</userinput></screen></para>
+newaliases -v</userinput></screen></para>
 
 <para>To start and stop sendmail on system boot/shutdown create the
Index: server/mail/sendmail/sendmail-intro.xml
===================================================================
--- server/mail/sendmail/sendmail-intro.xml	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ server/mail/sendmail/sendmail-intro.xml	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -2,6 +2,6 @@
 <title>Introduction to sendmail</title>
 
-<screen>Download location (FTP):        <ulink url="&sendmail-download-ftp;"/>
-Download location (HTTP):       <ulink url="&sendmail-download-http;"/>
+<screen>Download location (HTTP):       <ulink url="&sendmail-download-http;"/>
+Download location (FTP):        <ulink url="&sendmail-download-ftp;"/>
 Version used:                   &sendmail-version;
 Package size:                   &sendmail-size;
Index: server/mail/sendmail/sendmail.ent
===================================================================
--- server/mail/sendmail/sendmail.ent	(revision 98e3bd56658cef11b7d51a941f0f9dc99307371e)
+++ server/mail/sendmail/sendmail.ent	(revision 01600b960762f8cda9c6ca56675d081d240c21f6)
@@ -4,7 +4,7 @@
 <!ENTITY sendmail-desc SYSTEM "sendmail-desc.xml">
 <!ENTITY sendmail-config SYSTEM "sendmail-config.xml">
-<!ENTITY sendmail-buildsize "12 MB">
-<!ENTITY sendmail-version "8.12.8">
+<!ENTITY sendmail-buildsize "13 MB">
+<!ENTITY sendmail-version "8.12.9">
 <!ENTITY sendmail-download-ftp "ftp://ftp.sendmail.org/pub/sendmail/sendmail.&sendmail-version;.tar.gz">
 <!ENTITY sendmail-download-http "http://www.sendmail.org/ftp/sendmail.&sendmail-version;.tar.gz">
-<!ENTITY sendmail-size "1.8 MB">
+<!ENTITY sendmail-size "1.9 MB">