Index: general/graphlib/lcms.xml
===================================================================
--- general/graphlib/lcms.xml	(revision 520d0fe5ffa101a9e0dd3ae365cb2529cdc39595)
+++ general/graphlib/lcms.xml	(revision 1604a5bd3b7f3b30158c619ae62199c564aadf14)
@@ -9,6 +9,6 @@
 <!ENTITY lcms-md5sum "5a803460aeb10e762d97e11a37462a69">
 <!ENTITY lcms-size "654 KB">
-<!ENTITY lcms-buildsize "28 MB">
-<!ENTITY lcms-time "0.20 SBU">
+<!ENTITY lcms-buildsize "18.4 MB">
+<!ENTITY lcms-time "0.34 SBU (includes building the Python module)">
 ]>
 
@@ -20,4 +20,6 @@
 <?dbhtml filename="lcms.html"?>
 <title>lcms-&lcms-version;</title>
+<indexterm zone="lcms">
+<primary sortas="a-Lcms">Lcms</primary></indexterm>
 
 <sect2>
@@ -41,4 +43,12 @@
 </sect3>
 
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch (if building the 
+<application>Python</application> module): <ulink 
+url="&patch-root;/lcms-&lcms-version;-gcc343-1.patch"/></para></listitem>
+</itemizedlist>
+</sect3>
+
 <sect3><title><application>lcms</application> dependencies</title>
 <sect4><title>Optional</title>
@@ -58,7 +68,13 @@
 commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
+<screen><userinput><command>patch -Np1 -i ../lcms-&lcms-version;-gcc343-1.patch &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install &amp;&amp;
+install -v -m755 -d /usr/share/doc/lcms-&lcms-version; &amp;&amp;
+install -v -m644 doc/* /usr/share/doc/lcms-&lcms-version;</command></userinput></screen>
 
 </sect2>
@@ -67,43 +83,82 @@
 <title>Contents</title>
 
-<para>The lcms package contains the 
-<filename class="libraryfile">liblcms</filename> libraries, 
-<command>icc2ps</command>, <command>icclink</command>, 
-<command>icctrans</command>, <command>wtpt</command> and optionally, 
-<command>tifficc</command>, <command>jpegicc</command> and the 
-<filename class="libraryfile">lcms</filename> Python module.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directory</segtitle>
 
-</sect2>
+<seglistitem>
+<seg>icc2ps, icclink, icctrans, wtpt and optionally, tifficc and jpegicc</seg>
+<seg>liblcms.[so,a] and the optional _lcms.so Python module</seg>
+<seg>/usr/share/doc/lcms-&lcms-version;</seg>
+</seglistitem>
+</segmentedlist>
 
-<sect2><title>Description</title>
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
 
-<sect3><title>liblcms library</title>
-<para>The <filename class="libraryfile">liblcms</filename> libraries are used 
-by other programs to provide color management facilities.</para></sect3>
+<varlistentry id="icc2ps">
+<term><command>icc2ps</command></term>
+<listitem><para>generates PostScript <acronym>CRD</acronym> or 
+<acronym>CSA</acronym> from <acronym>ICC</acronym> profiles.</para>
+<indexterm zone="lcms icc2ps">
+<primary sortas="b-icc2ps">icc2ps</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>icc2ps</title>
-<para><command>icc2ps</command> generates PostScript
-<acronym>CRD</acronym> or <acronym>CSA</acronym> from
-<acronym>ICC</acronym> profiles.</para></sect3>
+<varlistentry id="icclink">
+<term><command>icclink</command></term>
+<listitem><para>links two or more profiles into a single device link 
+profile.</para>
+<indexterm zone="lcms icclink">
+<primary sortas="b-icclink">icclink</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>icclink</title>
-<para><command>icclink</command> links two or more profiles into a
-single device link profile.</para></sect3>
+<varlistentry id="icctrans">
+<term><command>icctrans</command></term>
+<listitem><para>is a color space conversion calculator.</para>
+<indexterm zone="lcms icctrans">
+<primary sortas="b-icctrans">icctrans</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>icctrans</title>
-<para><command>icctrans</command> is a Color Space conversion
-calculator.</para></sect3>
+<varlistentry id="wtpt">
+<term><command>wtpt</command></term>
+<listitem><para>shows media white of profiles, identifying black body 
+locus.</para>
+<indexterm zone="lcms wtpt">
+<primary sortas="b-wtpt">wtpt</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>wtpt</title>
-<para><command>wtpt</command> shows media white of profiles, identifying 
-black body locus.</para></sect3>
+<varlistentry id="tifficc">
+<term><command>tifficc</command></term>
+<listitem><para>is an <acronym>ICC</acronym> profile applier for 
+<acronym>TIFF</acronym> files.</para>
+<indexterm zone="lcms tifficc">
+<primary sortas="b-tifficc">tifficc</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>tifficc</title>
-<para><command>tifficc</command> is an <acronym>ICC</acronym> profile
-applier for <acronym>TIFF</acronym> files.</para></sect3>
+<varlistentry id="jpegicc">
+<term><command>jpegicc</command></term>
+<listitem><para>is an <acronym>ICC</acronym> profile applier for 
+<acronym>JPEG</acronym> files.</para>
+<indexterm zone="lcms jpegicc">
+<primary sortas="b-jpegicc">jpegicc</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>jpegicc</title>
-<para><command>jpegicc</command> is an <acronym>ICC</acronym> profile
-applier for <acronym>JPEG</acronym> files.</para></sect3>
+<varlistentry id="liblcms">
+<term><filename class='libraryfile'>liblcms.[so,a]</filename></term>
+<listitem><para>is used by the <application>lcms</application> programs as 
+well as other programs to provide color management facilities.</para>
+<indexterm zone="lcms liblcms">
+<primary sortas="c-liblcms">liblcms.[so,a]</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 520d0fe5ffa101a9e0dd3ae365cb2529cdc39595)
+++ introduction/welcome/changelog.xml	(revision 1604a5bd3b7f3b30158c619ae62199c564aadf14)
@@ -25,5 +25,7 @@
 <listitem><para>April 15th, 2005 [randy]: Updated to libsoup-2.2.3 and 
 Samba-3.0.14a; added documentation installation commands to the LZO 
-instructions.</para></listitem>
+instructions; added a patch to fix a build issue, added documentation 
+installation commands, updated build entities and added indexing tags to the 
+lcms instructions.</para></listitem>
 
 <listitem><para>April 14th, 2005 [randy]: Updated to libxklavier-2.0 and