Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/applications/cheese.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/dconf.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -54,5 +54,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/evolution-data-server.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/folks.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gfbgraph.xml
===================================================================
--- gnome/platform/gfbgraph.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/gfbgraph.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/gnome-online-accounts.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/grilo.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gsound.xml
===================================================================
--- gnome/platform/gsound.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/gsound.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -7,7 +7,7 @@
   <!ENTITY gsound-download-http "&gnome-download-http;/gsound/1.0/gsound-&gsound-version;.tar.xz">
   <!ENTITY gsound-download-ftp  "&gnome-download-ftp;/gsound/1.0/gsound-&gsound-version;.tar.xz">
-  <!ENTITY gsound-md5sum        "c26fd21c21b9ef6533a202a73fab21db">
-  <!ENTITY gsound-size          "276 KB">
-  <!ENTITY gsound-buildsize     "2.5 MB">
+  <!ENTITY gsound-md5sum        "7338c295034432a6e782fd20b3d04b68">
+  <!ENTITY gsound-size          "24 KB">
+  <!ENTITY gsound-buildsize     "864 KB">
   <!ENTITY gsound-time          "less than 0.1 SBU">
 ]>
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -72,4 +72,9 @@
     <bridgehead renderas="sect3">gsound Dependencies</bridgehead>
 
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libcanberra"/>
+    </para>
+
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
@@ -96,6 +101,9 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr --buildtype=release .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -107,5 +115,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
   </sect2>
 
@@ -114,8 +122,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/meson-buildtype-release.xml"/>
 
   </sect2>
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libchamplain.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libgdata.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgee.xml
===================================================================
--- gnome/platform/libgee.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libgee.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libgtop.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libgweather.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libpeas.xml
===================================================================
--- gnome/platform/libpeas.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/libpeas.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker3-miners.xml
===================================================================
--- gnome/platform/tracker3-miners.xml	(revision f61c18eaeb19e392bff8f52197bfe9c2e7c956fa)
+++ gnome/platform/tracker3-miners.xml	(revision 01705ddce3d1c024e62260bef13248a50e2126fc)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>