Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ appendices/glossary.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -27,4 +27,10 @@
 <glossdef><para>Common Object Request Broker Architecture</para></glossdef></glossentry>
 
+<glossentry id="gCSS"><glossterm><acronym>CSS</acronym></glossterm>
+<glossdef><para>Cascading Style Sheets</para></glossdef></glossentry>
+
+<glossentry id="gCUPS"><glossterm><acronym>CUPS</acronym></glossterm>
+<glossdef><para>Common UNIX Printing System</para></glossdef></glossentry>
+
 <glossentry id="gCVS"><glossterm><acronym>CVS</acronym></glossterm>
 <glossdef><para>Concurrent Versions System</para></glossdef></glossentry>
@@ -36,4 +42,6 @@
 <glossdef><para>Domain Name Service</para></glossdef></glossentry>
 
+<glossentry id="gDVI"><glossterm><acronym>DVI</acronym></glossterm>
+<glossdef><para>DeVice Independent</para></glossdef></glossentry>
 
 <glossentry id="gFAM"><glossterm><acronym>FAM</acronym></glossterm>
@@ -61,4 +69,7 @@
 <glossdef><para>Graphical User Interface</para></glossdef></glossentry>
 
+<glossentry id="gHTML"><glossterm><acronym>HTML</acronym></glossterm>
+<glossdef><para>HyperText Markup Language</para></glossdef></glossentry>
+
 <glossentry id="gHTTP"><glossterm><acronym>HTTP</acronym></glossterm>
 <glossdef><para>HyperText Transfer Protocol</para></glossdef></glossentry>
@@ -66,4 +77,7 @@
 <glossentry id="gIDL"><glossterm><acronym>IDL</acronym></glossterm>
 <glossdef><para>Interface Definition Language</para></glossdef></glossentry>
+
+<glossentry id="gIMAP"><glossterm><acronym>IMAP</acronym></glossterm>
+<glossdef><para>Internet Message Access Protocol</para></glossdef></glossentry>
 
 <glossentry id="IMON"><glossterm><abbrev>IMON</abbrev></glossterm>
@@ -92,9 +106,18 @@
 <glossdef><para>Lemple-Ziv-Oberhumer</para></glossdef></glossentry>
 
+<glossentry id="gMPEG"><glossterm><acronym>MPEG</acronym></glossterm>
+<glossdef><para>Moving Picture Experts Group</para></glossdef></glossentry>
+
 <glossentry id="gMTA"><glossterm><acronym>MTA</acronym></glossterm>
 <glossdef><para>Mail Transport Agent</para></glossdef></glossentry>
 
+<glossentry id="gMUA"><glossterm><acronym>MUA</acronym></glossterm>
+<glossdef><para>Mail User Agent</para></glossdef></glossentry>
+
 <glossentry id="gNASM"><glossterm><acronym>NASM</acronym></glossterm>
 <glossdef><para>Netwide ASseMbler</para></glossdef></glossentry>
+
+<glossentry id="gNNTP"><glossterm><acronym>NNTP</acronym></glossterm>
+<glossdef><para>Network News Transfer Protocol</para></glossdef></glossentry>
 
 <glossentry id="gNFS"><glossterm><acronym>NFS</acronym></glossterm>
@@ -107,4 +130,13 @@
 <glossentry id="gPAM"><glossterm><acronym>PAM</acronym></glossterm>
 <glossdef><para>Pluggable authentication Modules</para></glossdef></glossentry>
+
+<glossentry id="gPDF"><glossterm><acronym>PDF</acronym></glossterm>
+<glossdef><para>Portable Document Format</para></glossdef></glossentry>
+
+<glossentry id="gPOP"><glossterm><acronym>POP</acronym></glossterm>
+<glossdef><para>Post Office Protocol</para></glossdef></glossentry>
+
+<glossentry id="gPPD"><glossterm><acronym>PPD</acronym></glossterm>
+<glossdef><para>PostScript Printer Description</para></glossdef></glossentry>
 
 <glossentry id="gPPP"><glossterm><acronym>PPP</acronym></glossterm>
@@ -123,4 +155,10 @@
 <glossdef><para>Remote Procedure Call</para></glossdef></glossentry>
 
+<glossentry id="gSGML"><glossterm><acronym>SGML</acronym></glossterm>
+<glossdef><para>Standard Generalized Markup Language</para></glossdef></glossentry>
+
+<glossentry id="gSMTP"><glossterm><acronym>SMTP</acronym></glossterm>
+<glossdef><para>Simple Mail Transfer Protocol</para></glossdef></glossentry>
+
 <glossentry id="gSSL"><glossterm><acronym>SSL</acronym></glossterm>
 <glossdef><para>Secure Sockets Layer</para></glossdef></glossentry>
@@ -128,4 +166,7 @@
 <glossentry id="gTCP"><glossterm><acronym>TCP</acronym></glossterm>
 <glossdef><para>Transmission Control Protocol</para></glossdef></glossentry>
+
+<glossentry id="gUDF"><glossterm><acronym>UDF</acronym></glossterm>
+<glossdef><para>Universal Disk Format</para></glossdef></glossentry>
 
 <glossentry id="gUDP"><glossterm><acronym>UDP</acronym></glossterm>
@@ -138,4 +179,13 @@
 <glossdef><para>World Wide Web</para></glossdef></glossentry>
 
+<glossentry id="gXML"><glossterm><acronym>XML</acronym></glossterm>
+<glossdef><para>eXtensible Markup Language</para></glossdef></glossentry>
+
+<glossentry id="gXSL"><glossterm><acronym>XSL</acronym></glossterm>
+<glossdef><para>eXtensible Style Language</para></glossdef></glossentry>
+
+<glossentry id="gXSLT"><glossterm><acronym>XSLT</acronym></glossterm>
+<glossdef><para>eXtensible Style Language Transformation</para></glossdef></glossentry>
+
 <glossentry id="gXMMS"><glossterm><acronym>XMMS</acronym></glossterm>
 <glossdef><para>X MultiMedia System</para></glossdef></glossentry>
Index: basicnet/mailnews/fetchmail.xml
===================================================================
--- basicnet/mailnews/fetchmail.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,5 +1,5 @@
-<sect1 id="fetchmail" xreflabel="fetchmail">
+<sect1 id="fetchmail" xreflabel="Fetchmail">
 <?dbhtml filename="fetchmail.html" dir="basicnet"?>
-<title>fetchmail-&fetchmail-version;</title>
+<title>Fetchmail-&fetchmail-version;</title>
 
 &fetchmail-intro;
Index: basicnet/mailnews/fetchmail/fetchmail-config.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>fetchmail</application></title>
+<title>Configuring <application>Fetchmail</application></title>
 
 <sect3><title>Config files</title>
Index: basicnet/mailnews/fetchmail/fetchmail-desc.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-desc.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail/fetchmail-desc.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>fetchmail</application> package contains 
+<para>The <application>Fetchmail</application> package contains 
 <command>fetchmail</command> and <command>fetchmailconf</command>.</para>
 
Index: basicnet/mailnews/fetchmail/fetchmail-exp.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-exp.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail/fetchmail-exp.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -4,9 +4,9 @@
 <para><command>--with-ssl</command> : This enables
 <acronym>SSL</acronym> if found, so that you can handle connections to
-secure <acronym>POP3</acronym> and <acronym>IMAP</acronym> servers.</para>
+secure <acronym>POP</acronym>3 and <acronym>IMAP</acronym> servers.</para>
 
 <para><command>--enable-fallback=procmail</command> : This tells
-<application>fetchmail</application> to hand incoming mail to
-<application>procmail</application> for delivery if your port 25 mail server is
+<application>Fetchmail</application> to hand incoming mail to
+<application>Procmail</application> for delivery if your port 25 mail server is
 not present or not responding.</para>
 
Index: basicnet/mailnews/fetchmail/fetchmail-inst.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-inst.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail/fetchmail-inst.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>fetchmail</application></title>
+<title>Installation of <application>Fetchmail</application></title>
 
-<para>Install <application>fetchmail</application> by running the following commands:</para>
+<para>Install <application>Fetchmail</application> by running the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr --with-ssl --enable-fallback=procmail &amp;&amp;
Index: basicnet/mailnews/fetchmail/fetchmail-intro.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-intro.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/fetchmail/fetchmail-intro.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>fetchmail</application></title>
+<title>Introduction to <application>Fetchmail</application></title>
 
-<para>The <application>fetchmail</application> package contains the
+<para>The <application>Fetchmail</application> package contains the
 <command>fetchmail</command> program. &quot;It
 retrieves mail from remote mail servers and forwards it to your local
@@ -21,5 +21,5 @@
 </sect3>
 
-<sect3><title><application>fetchmail</application> dependencies</title>
+<sect3><title><application>Fetchmail</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="openssl"/> and a local MDA (<xref
Index: basicnet/mailnews/procmail.xml
===================================================================
--- basicnet/mailnews/procmail.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/procmail.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,5 +1,5 @@
-<sect1 id="procmail" xreflabel="procmail-&procmail-version;">
+<sect1 id="procmail" xreflabel="Procmail-&procmail-version;">
 <?dbhtml filename="procmail.html" dir="basicnet"?>
-<title>procmail-&procmail-version;</title>
+<title>Procmail-&procmail-version;</title>
 
 &procmail-intro;
Index: basicnet/mailnews/procmail/procmail-config.xml
===================================================================
--- basicnet/mailnews/procmail/procmail-config.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/procmail/procmail-config.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>procmail</application></title>
+<title>Configuring <application>Procmail</application></title>
 
 <sect3><title>Config files</title>
Index: basicnet/mailnews/procmail/procmail-desc.xml
===================================================================
--- basicnet/mailnews/procmail/procmail-desc.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/procmail/procmail-desc.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>procmail</application> package contains <command>procmail</command>, <command>formail</command>, <command>lockfile</command> and <command>mailstat</command>.</para>
+<para>The <application>Procmail</application> package contains <command>procmail</command>, <command>formail</command>, <command>lockfile</command> and <command>mailstat</command>.</para>
 
 </sect2>
@@ -22,5 +22,5 @@
 <sect3><title>mailstat</title>
 <para><command>mailstat</command> prints a summary report of mail that has been
-filtered by <application>procmail</application> since the last time <command>
+filtered by <command>procmail</command> since the last time <command>
 mailstat</command> was ran.</para></sect3>
 
Index: basicnet/mailnews/procmail/procmail-inst.xml
===================================================================
--- basicnet/mailnews/procmail/procmail-inst.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/procmail/procmail-inst.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>procmail</application></title>
+<title>Installation of <application>Procmail</application></title>
 
-<para>Install <application>procmail</application> by running the following commands:</para>
+<para>Install <application>Procmail</application> by running the following commands:</para>
 
 <screen><userinput><command>make BASENAME=/usr install &amp;&amp;
Index: basicnet/mailnews/procmail/procmail-intro.xml
===================================================================
--- basicnet/mailnews/procmail/procmail-intro.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ basicnet/mailnews/procmail/procmail-intro.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>procmail</application></title>
+<title>Introduction to <application>Procmail</application></title>
 
-<para>The <application>procmail</application> package contains an autonomous mail processor. This
+<para>The <application>Procmail</application> package contains an autonomous mail processor. This
 is useful for filtering and sorting incoming mail.</para>
 
Index: server/other/openssh.xml
===================================================================
--- server/other/openssh.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,3 +1,3 @@
-<sect1 id="openssh" xreflabel="openssh-&openssh-version;">
+<sect1 id="openssh" xreflabel="OpenSSH-&openssh-version;">
 <?dbhtml filename="openssh.html" dir="server"?>
 <title>OpenSSH-&openssh-version;</title>
Index: server/other/openssh/openssh-config.xml
===================================================================
--- server/other/openssh/openssh-config.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh/openssh-config.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>OpenSSH</application></title>
+<title>Configuring <application>Open<acronym>SSH</acronym></application></title>
 
 <sect3><title>Config files</title>
@@ -8,16 +8,19 @@
 <para>There are no required changes in either of these files.  However
 you may wish to view them to make changes for appropriate security to
-your system. Configuration information can be found in the man pages for sshd, ssh and ssh-agent</para>
+your system. Configuration information can be found in the man pages for
+<command>sshd</command>, <command>ssh</command> and <command>ssh-agent
+</command></para>
 </sect3>
 
 <sect3><title>sshd init.d script</title>
 
-<para>Note that you only want to start the sshd server if you want to be
-able to ssh <emphasis>into</emphasis> your machine.  The ssh client
-doesn't need this script to be used.  Having said that, if you want to
-run the ssh daemon, the sshd init.d script can be created using the following 
+<para>Note that you only want to start the <command>sshd</command> server if 
+you want to be able to <command>ssh</command> <emphasis>into</emphasis> your 
+machine.  The <command>ssh</command> client doesn't need this script to be 
+used.  Having said that, if you want to run the <command>ssh</command> daemon, 
+the <command>sshd</command> init.d script can be created using the following 
 commands:</para>
 
-<para><screen><userinput><command>cat &gt; /etc/rc.d/init.d/sshd &lt;&lt; "EOF"</command>
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/sshd &lt;&lt; "EOF"</command>
 #!/bin/sh
 # Begin $rc_base/init.d/sshd
@@ -63,8 +66,9 @@
 # End $rc_base/init.d/sshd
 <command>EOF
-chmod 755 /etc/rc.d/init.d/sshd</command></userinput></screen></para>
+chmod 755 /etc/rc.d/init.d/sshd</command></userinput></screen>
 
 <para>Create the symbolic links to this file in the relevant <filename
-class="directory">rc.d</filename> directories with the following commands:
+class="directory">rc.d</filename> directories with the following
+commands:</para>
 <screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
 ln -sf ../init.d/sshd ../rc0.d/K30sshd &amp;&amp;
@@ -74,5 +78,5 @@
 ln -sf ../init.d/sshd ../rc4.d/S30sshd &amp;&amp;
 ln -sf ../init.d/sshd ../rc5.d/S30sshd &amp;&amp;
-ln -sf ../init.d/sshd ../rc6.d/K30sshd</command></userinput></screen></para>
+ln -sf ../init.d/sshd ../rc6.d/K30sshd</command></userinput></screen>
 
 </sect3>
Index: server/other/openssh/openssh-desc.xml
===================================================================
--- server/other/openssh/openssh-desc.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh/openssh-desc.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>OpenSSH</application> package contains <command>ssh</command>,
+<para>The <application>Open<acronym>SSH</acronym></application> package contains <command>ssh</command>,
 <command>sshd</command>, <command>ssh-agent</command>,
 <command>ssh-add</command>, <command>sftp</command>,
@@ -23,8 +23,9 @@
 
 <sect3><title>ssh-add</title>
-<para>Tool which adds keys to the ssh-agent.</para></sect3>
+<para>Tool which adds keys to the <command>ssh-agent</command>.</para></sect3>
 
 <sect3><title>sftp</title>
-<para>FTP-like program that works over SSH1 and SSH2 protocol.</para></sect3>
+<para><acronym>FTP</acronym>-like program that works over
+<acronym>SSH</acronym>1 and <acronym>SSH</acronym>2 protocol.</para></sect3>
 
 <sect3><title>scp</title>
@@ -35,5 +36,5 @@
 
 <sect3><title>sftp-server</title>
-<para>SFTP server subsystem.</para></sect3>
+<para><acronym>SFTP</acronym> server subsystem.</para></sect3>
 
 <sect3><title>ssh-keyscan</title>
Index: server/other/openssh/openssh-exp.xml
===================================================================
--- server/other/openssh/openssh-exp.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh/openssh-exp.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -7,15 +7,16 @@
 <para><command>--with-md5-passwords</command> : This is required
 if you made the changes recommended by the shadowpasswd_plus lfs hint on
-your ssh server when you installed the Shadow Password Suite or if you
-access a ssh server that authenticates by user passwords encrypted with
-md5. </para>
+your <acronym>SSH</acronym> server when you installed the Shadow Password 
+Suite or if you access a <acronym>SSH</acronym> server that authenticates by 
+user passwords encrypted with md5. </para>
 
 <para><command>--libexecdir=/usr/sbin</command> :
-<application>OpenSSH</application> puts
-programs called by programs in <filename class="directory">/usr/libexec</filename>.  sftp-server is a sshd
-utility and ssh-askpass is a ssh-add utility that is installed as a
-link to X11-ssh-askpass.  Both of these should go in <filename
-class="directory">/usr/sbin</filename> not <filename
-class="directory">/usr/libexec</filename>.</para>
+<application>Open<acronym>SSH</acronym></application> puts
+programs called by programs in <filename class="directory">/usr/libexec
+</filename>.  <command>sftp-server</command> is a <command>sshd</command>
+utility and <command>ssh-askpass</command> is a <command>ssh-add</command> 
+utility that is installed as a link to <command>X11-ssh-askpass</command>.  
+Both of these should go in <filename class="directory">/usr/sbin</filename> 
+not <filename class="directory">/usr/libexec</filename>.</para>
 
 
Index: server/other/openssh/openssh-inst.xml
===================================================================
--- server/other/openssh/openssh-inst.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh/openssh-inst.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,6 +1,7 @@
 <sect2>
-<title>Installation of <application>OpenSSH</application></title>
+<title>Installation of <application>Open<acronym>SSH</acronym></application></title>
 
-<para><application>OpenSSH</application> runs as two processes when connecting to other
+<para><application>Open<acronym>SSH</acronym></application> runs as two 
+processes when connecting to other
 computers. The first process is a priviledged process and controls the
 issuance of privileges as necessary. The second process communicates
@@ -14,5 +15,6 @@
 useradd -c 'sshd privsep' -d /var/empty -g sshd -s /bin/false sshd</command></userinput></screen>
 
-<para>Install OpenSSH by running the following commands:</para>
+<para>Install <application>Open<acronym>SSH</acronym></application> by running 
+the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc/ssh \
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 95079c366bbab2ef8182e1ed01ece953b97fa2f1)
+++ server/other/openssh/openssh-intro.xml	(revision 1708d1e940cac51fbc808b1d5907d2d631c16198)
@@ -1,8 +1,8 @@
 <sect2>
-<title>Introduction to OpenSSH</title>
+<title>Introduction to <application>Open<acronym>SSH</acronym></application></title>
 
-<para>The <application>OpenSSH</application> package contains ssh clients and the sshd daemon.
-This is
-useful for encrypting all traffic over a network.</para>
+<para>The <application>Open<acronym>SSH</acronym></application> package 
+contains <command>ssh</command> clients and the <command>sshd</command> daemon.
+This is useful for encrypting all traffic over a network.</para>
 
 <sect3><title>Package information</title>
@@ -15,5 +15,5 @@
 </sect3>
 
-<sect3><title><application>OpenSSH</application> dependencies</title>
+<sect3><title><application>Open<acronym>SSH</acronym></application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="openssl"/></para></sect4>