Index: general.ent
===================================================================
--- general.ent	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ general.ent	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -1,11 +1,11 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "31">                   <!-- Always 2 digits -->
-<!ENTITY month        "03">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 31st, &year;">
+<!ENTITY releasedate  "April 1st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/perl-modules/perl-text-bibtex.xml
===================================================================
--- general/prog/perl-modules/perl-text-bibtex.xml	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ general/prog/perl-modules/perl-text-bibtex.xml	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/A/AM/AMBS/Text-BibTeX-&Text-BibTeX-version;.tar.gz">
-  <!ENTITY my-md5sum "eff0352d6de29a8d4d61efcc7774186c">
+  <!ENTITY my-md5sum "9dacb3282600a7fa59142c49a9b73ce4">
 
 ]>
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ general/prog/vala.xml	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -7,5 +7,5 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "1dac1880eca9748e5eaba94c2d838086">
+  <!ENTITY vala-md5sum        "43cc7e081715a744e5aca477cf7e6f2e">
   <!ENTITY vala-size          "3.2 MB">
   <!ENTITY vala-buildsize     "169 MB (add 9 MB for tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ introduction/welcome/changelog.xml	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -42,4 +42,22 @@
     </listitem>
 -->
+    <listitem>
+      <para>April 1st, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vala-0.44.2. Fixes
+          <ulink url="&blfs-ticket-root;11881">#11881</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Text-BibTeX-0.86 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;11882">#11882</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to httpd-2.4.39 (Apache). Fixes
+          <ulink url="&blfs-ticket-root;11883">#11883</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>March 31st, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ packages.ent	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -348,5 +348,5 @@
 <!ENTITY tk-version                   "8.6.9">
 <!ENTITY vala-major-version           "0.44">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.1">
+<!ENTITY vala-version                 "&vala-major-version;.2">
 <!ENTITY valgrind-version             "3.14.0">
 <!ENTITY yasm-version                 "1.3.0">
@@ -404,5 +404,5 @@
 <!ENTITY Test-Command-version         "0.11">
 <!ENTITY Test-Differences-version     "0.67">
-<!ENTITY Text-BibTeX-version          "0.85">
+<!ENTITY Text-BibTeX-version          "0.86">
 <!ENTITY Text-CSV-version             "1.99">
 <!ENTITY Text-Roman-version           "3.5">
@@ -610,5 +610,5 @@
 <!-- Part V -->
 <!-- Chapter 20 -->
-<!ENTITY apache-version               "2.4.38">
+<!ENTITY apache-version               "2.4.39">
 <!ENTITY proftpd-version              "1.3.6">
 <!ENTITY vsftpd-version               "3.0.3">
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 178639fbd84988643c7e83d9e5a119a0b806f10e)
+++ server/major/apache.xml	(revision 1714bd3811aeee04482338d96671f097047ed91f)
@@ -8,7 +8,7 @@
            "https://archive.apache.org/dist/httpd/httpd-&apache-version;.tar.bz2">
   <!ENTITY apache-download-ftp  " ">
-  <!ENTITY apache-md5sum        "4a2b87ca55e42017d21f18724c560084">
+  <!ENTITY apache-md5sum        "930e217ba2d71e708a3f1521ecae7ec0">
   <!ENTITY apache-size          "6.7 MB">
-  <!ENTITY apache-buildsize     "84 MB">
+  <!ENTITY apache-buildsize     "86 MB">
   <!ENTITY apache-time          "0.4 SBU (Using parallelism=4)">
 ]>