Index: gnome/add/epiphany.xml
===================================================================
--- gnome/add/epiphany.xml	(revision f8ad622f7bb35f1a0dce10fc2bae0a736d75b542)
+++ gnome/add/epiphany.xml	(revision 1871e8e574abe3b8713c56612ffd6fc4feb0b4b3)
@@ -120,6 +120,11 @@
         <seg>epiphany</seg>
         <seg>GNOME_Epiphany_Automation.server bonobo server</seg>
-        <seg>$GNOME_PREFIX/include/epiphany-1.6 and
-        $GNOME_PREFIX/share/epiphany</seg>
+        <seg>/etc/gnome/gconf/gconf.xml.defaults/apps/epiphany,
+        /etc/gnome/gconf/gconf.xml.defaults/schemas/apps/epiphany,
+        $GNOME_PREFIX/include/epiphany-1.6,
+        $GNOME_PREFIX/share/epiphany,
+        $GNOME_PREFIX/share/gnome/help/epiphany,
+        $GNOME_PREFIX/share/gtk-doc/html/epiphany, and
+        $GNOME_PREFIX/share/omf/epiphany</seg>
       </seglistitem>
     </segmentedlist>
Index: gnome/add/file-roller.xml
===================================================================
--- gnome/add/file-roller.xml	(revision f8ad622f7bb35f1a0dce10fc2bae0a736d75b542)
+++ gnome/add/file-roller.xml	(revision 1871e8e574abe3b8713c56612ffd6fc4feb0b4b3)
@@ -5,106 +5,135 @@
   %general-entities;
 
-<!ENTITY file-roller-download-http "http://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
-<!ENTITY file-roller-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
-<!ENTITY file-roller-md5sum "dd152e2cb1bfe5c46930ae74c73e4f8e">
-<!ENTITY file-roller-size "1.3 MB">
-<!ENTITY file-roller-buildsize "20 MB">
-<!ENTITY file-roller-time "0.3 SBU">
+  <!ENTITY file-roller-download-http "http://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
+  <!ENTITY file-roller-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
+  <!ENTITY file-roller-md5sum "dd152e2cb1bfe5c46930ae74c73e4f8e">
+  <!ENTITY file-roller-size "1.3 MB">
+  <!ENTITY file-roller-buildsize "20 MB">
+  <!ENTITY file-roller-time "0.3 SBU">
 ]>
 
 <sect1 id="file-roller" xreflabel="File Roller-&file-roller-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="file-roller.html"?>
-<title>File Roller-&file-roller-version;</title>
+  <?dbhtml filename="file-roller.html"?>
 
-<sect2>
-<title>Introduction to <application>File Roller</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>
-File Roller is an archive manager for 
-<application><acronym>GNOME</acronym></application> with
-support for tar, bzip2, gzip, zip, jar, compress, lzop and many other
-archive formats.</para>
+  <title>File Roller-&file-roller-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&file-roller-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&file-roller-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: 
-&file-roller-md5sum;</para></listitem>
-<listitem><para>Download size: 
-&file-roller-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&file-roller-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&file-roller-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="file-roller">
+    <primary sortas="a-File-Roller">File Roller</primary>
+  </indexterm>
 
-<sect3><title><application>File Roller</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="libgnomeui"/> and 
-<xref linkend="scrollkeeper"/></para>
-</sect4>
+  <sect2 role="package">
+    <title>Introduction to File Roller</title>
 
-<sect4><title>Optional</title>
-<para><xref linkend="nautilus"/></para>
-</sect4>
-</sect3>
+    <para><application>File Roller</application> is an archive manager for
+    <application>GNOME</application> with support for tar, bzip2, gzip, zip,
+    jar, compress, lzop and many other archive formats.</para>
 
-</sect2>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&file-roller-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&file-roller-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &file-roller-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &file-roller-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &file-roller-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &file-roller-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Installation of <application>File Roller</application></title>
+    <bridgehead renderas="sect3">File Roller Dependencies</bridgehead>
 
-<para>Install <application>File Roller</application> by running the following 
-commands:</para>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="libgnomeui"/> and
+    <xref linkend="scrollkeeper"/></para>
 
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="nautilus"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of File Roller</title>
+
+    <para>Install <application>File Roller</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
     --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
-make</command></userinput></screen>
+make</userinput></screen>
 
-<para>This package does not come with a test suite.</para>
+    <para>This package does not come with a test suite.</para>
 
-<para>Now, as the root user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen><userinput role='root'><command>make install</command></userinput></screen>
+<screen role="root"><userinput>make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><parameter>--localstatedir=/var/lib</parameter>: This switch
-puts <application>ScrollKeeper</application> files in 
-<filename class="directory">/var/lib/scrollkeeper</filename> instead of 
-<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+    <para><parameter>--localstatedir=/var/lib</parameter>: This switch
+    puts <application>ScrollKeeper</application> files in
+    <filename class="directory">/var/lib/scrollkeeper</filename> instead of
+    <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
-configuration files in <filename class="directory">/etc/gnome</filename>
-instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+    <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
+    configuration files in <filename class="directory">/etc/gnome</filename>
+    instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Contents</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<para>The <application>File Roller</application> package contains 
-<command>file-roller</command>, <application>File Roller</application> 
-Bonobo modules and <application>Nautilus</application> extensions.</para>
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-</sect2>
+      <seglistitem>
+        <seg>file-roller</seg>
+        <seg>bonobo component and nautilus extension</seg>
+        <seg>/etc/gnome/gconf/gconf.xml.defaults/apps/file-roller,
+        /etc/gnome/gconf/gconf.xml.defaults/schemas/apps/file-roller,
+        $GNOME_PREFIX/share/file-roller,
+        $GNOME_PREFIX/share/gnome/help/file-roller, and
+        $GNOME_PREFIX/share/omf/file-roller</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<sect2><title>Description</title>
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-<sect3><title>file-roller</title>
-<para><command>file-roller</command> is an archiver
-for <acronym>GNOME</acronym>.</para></sect3>
+      <varlistentry id="file-roller-prog">
+        <term><command>file-roller</command></term>
+        <listitem>
+          <para>is an archiver for <application>GNOME</application>.</para>
+          <indexterm zone="file-roller file-roller-prog">
+            <primary sortas="b-file-roller">file-roller</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
-</sect2>
+    </variablelist>
+
+  </sect2>
 
 </sect1>