Index: postlfs/editors/bluefish.xml
===================================================================
--- postlfs/editors/bluefish.xml	(revision 1881a5bb6c9153ad9a71741f22b64045ca1436dc)
+++ postlfs/editors/bluefish.xml	(revision 1881a5bb6c9153ad9a71741f22b64045ca1436dc)
@@ -0,0 +1,143 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY bluefish-download-http "http://pkedu.fbt.eitn.wau.nl/~olivier/downloads/bluefish-&bluefish-version;.tar.bz2  ">
+  <!ENTITY bluefish-download-ftp  "ftp://ftp.ratisbona.com/pub/bluefish/downloads/bluefish-&bluefish-version;.tar.bz2">
+  <!ENTITY bluefish-md5sum        "a3cf8abd282d850407e8c7eed38d15e7">
+  <!ENTITY bluefish-size          "1.4 MB">
+  <!ENTITY bluefish-buildsize     "23.7 MB">
+  <!ENTITY bluefish-time          "0.3 SBU">
+]>
+
+<sect1 id="bluefish">
+  <?dbhtml filename="bluefish.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Bluefish-&bluefish-version;</title>
+
+  <indexterm zone="bluefish">
+    <primary sortas="a-Bluefish">Bluefish</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Bluefish</title>
+
+    <para>The <application>bluefish</application> package contains a powerful X
+    Window System editor designed for web designers, but which is also suitable
+    as a programmer's editor.  Bluefish supports many programming and markup
+    languages, and as such is ideal for editing xml and html files.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&bluefish-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&bluefish-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &bluefish-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &bluefish-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &bluefish-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &bluefish-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Bluefish Dependencies</bridgehead>
+   <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="gtk2"/> <xref linkend="pcre"/></para>
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="gnome-vfs"/> (for remote files) 
+          <xref linkend="aspell"/> (for spellchecking)</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Bluefish</title>
+
+    <para>Install <application>bluefish</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install
+</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Bluefish</title>
+
+    <sect3 id="bluefish-config">
+      <title>Config Files</title>
+
+      <para> Directory <filename>~/.bluefish</filename></para>
+
+      <indexterm zone="bluefish bluefish-config">
+        <primary sortas="e-AA.bluefish">~/.bluefish</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>The directory ~/.bluefish is created by the program when it is
+      first run, and the configuration files are maintained by the program
+      automatically to preserve settings from run to run.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>bluefish</seg>
+        <seg>None</seg>
+        <seg>/usr/share/bluefish</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="bluefish-prog">
+        <term><command>bluefish</command></term>
+        <listitem>
+          <para>is an X Window System editor for markup and programming.</para>
+          <indexterm zone="bluefish bluefish-prog">
+            <primary sortas="b-bluefish">bluefish</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>