Index: general/prog/gdb.xml
===================================================================
--- general/prog/gdb.xml	(revision 496c9157f70b72333be42cab9ba6cb9046905d90)
+++ general/prog/gdb.xml	(revision 1895c552afed34803bc452e7b8e6ce5644ece8d5)
@@ -7,8 +7,8 @@
   <!ENTITY gdb-download-http "&gnu-http;/gdb/gdb-&gdb-version;.tar.xz">
   <!ENTITY gdb-download-ftp  "&gnu-ftp;/gdb/gdb-&gdb-version;.tar.xz">
-  <!ENTITY gdb-md5sum        "257cb0f67927f79acf636d8c01e19990">
+  <!ENTITY gdb-md5sum        "433bd0904caa31c247b1b1867f2f911d">
   <!ENTITY gdb-size          "21 MB">
-  <!ENTITY gdb-buildsize     "811 MB (add 777 MB for docs; add 536 MB for tests)">
-  <!ENTITY gdb-time          "1.9 SBU (Using parallelism=4; add 23 SBU for tests; add 0.5 SBU for docs)">
+  <!ENTITY gdb-buildsize     "674 MB (add 729 MB for docs; add 538 MB for tests)">
+  <!ENTITY gdb-time          "1.8 SBU (Using parallelism=4; add 0.5 SBU for docs; add 30 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 496c9157f70b72333be42cab9ba6cb9046905d90)
+++ introduction/welcome/changelog.xml	(revision 1895c552afed34803bc452e7b8e6ce5644ece8d5)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to gdb-11.2. Fixes
+          <ulink url="&blfs-ticket-root;15977">#15977</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.28.11. Fixes
+          <ulink url="&blfs-ticket-root;15976">#15976</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to postfix-3.6.4. Fixes
+          <ulink url="&blfs-ticket-root;15973">#15973</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to mutt-2.1.5. Fixes
           <ulink url="&blfs-ticket-root;15914">#15914</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 496c9157f70b72333be42cab9ba6cb9046905d90)
+++ packages.ent	(revision 1895c552afed34803bc452e7b8e6ce5644ece8d5)
@@ -347,5 +347,5 @@
 <!ENTITY gcc-version                  "11.2.0">
 <!ENTITY gc-version                   "8.0.6">
-<!ENTITY gdb-version                  "11.1">
+<!ENTITY gdb-version                  "11.2">
 <!ENTITY git-version                  "2.34.1">
 <!ENTITY guile-version                "3.0.7">
@@ -681,5 +681,5 @@
 
 <!ENTITY exim-version                 "4.95">
-<!ENTITY postfix-version              "3.6.3">
+<!ENTITY postfix-version              "3.6.4">
 <!ENTITY sendmail-version             "8.17.1">
 
@@ -1073,5 +1073,5 @@
 <!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.4.0">
-<!ENTITY cups-filters-version         "1.28.10">
+<!ENTITY cups-filters-version         "1.28.11">
 <!ENTITY gs-version                   "9.55.0">
 <!ENTITY gs-packver                   "9550">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 496c9157f70b72333be42cab9ba6cb9046905d90)
+++ pst/printing/cups-filters.xml	(revision 1895c552afed34803bc452e7b8e6ce5644ece8d5)
@@ -8,5 +8,5 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "828b8c81534ecb996d6c6b7e1332412f">
+  <!ENTITY cups-filters-md5sum        "f6d3c5ca06d992dd80e7cbd47e2399f4">
   <!ENTITY cups-filters-size          "1.4 MB">
   <!ENTITY cups-filters-buildsize     "55 MB (with tests), 17 MB installed">
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 496c9157f70b72333be42cab9ba6cb9046905d90)
+++ server/mail/postfix.xml	(revision 1895c552afed34803bc452e7b8e6ce5644ece8d5)
@@ -10,7 +10,7 @@
   <!ENTITY postfix-download-http "https://ghostarchive.org/postfix/postfix-release/official/postfix-&postfix-version;.tar.gz">
   <!ENTITY postfix-download-ftp  "ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-&postfix-version;.tar.gz">
-  <!ENTITY postfix-md5sum        "793f9f4abf74d07a2557bd97a903b98d">
-  <!ENTITY postfix-size          "4.6 MB">
-  <!ENTITY postfix-buildsize     "202 MB"> <!-- 149M build, 54M install_root -->
+  <!ENTITY postfix-md5sum        "fcc071c864d3b152a14b30b399ffda7f">
+  <!ENTITY postfix-size          "4.5 MB">
+  <!ENTITY postfix-buildsize     "203 MB"> <!-- 149M build, 54M install_root -->
   <!ENTITY postfix-time          "0.2 SBU (Using parallelism=4)">
 ]>