Index: general/genutils/autogen.xml
===================================================================
--- general/genutils/autogen.xml	(revision 844a44e1c750eb4b649ae64b51460f847b9cf5cc)
+++ 	(revision )
@@ -1,230 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY autogen-download-http
-           "http://ftp.gnu.org/gnu/autogen/rel&autogen-version;/autogen-&autogen-version;.tar.xz">
-  <!ENTITY autogen-download-ftp
-           "ftp://ftp.gnu.org/gnu/autogen/rel&autogen-version;/autogen-&autogen-version;.tar.xz">
-  <!ENTITY autogen-md5sum        "0871304953d219f7ad91a60fb1376271">
-  <!ENTITY autogen-size          "920 KB">
-  <!ENTITY autogen-buildsize     "15 MB">
-  <!ENTITY autogen-time          "0.7 SBU">
-]>
-
-<sect1 id="autogen" xreflabel="AutoGen-&autogen-version;">
-  <?dbhtml filename="autogen.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>AutoGen-&autogen-version;</title>
-
-  <indexterm zone="autogen">
-    <primary sortas="a-AutoGen">AutoGen</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to AutoGen</title>
-
-    <para>
-      <application>AutoGen</application> is a tool designed to simplify the
-      creation and maintenance of programs that contain large amounts of
-      repetitious text. It is especially valuable in programs that have
-      several blocks of text that must be kept synchronized.
-    </para>
-
-    &lfs71_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&autogen-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&autogen-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &autogen-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &autogen-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &autogen-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &autogen-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">AutoGen Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="guile"/> and
-      <xref linkend="libxml2"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/autogen"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of AutoGen</title>
-
-    <para>
-      Install <application>AutoGen</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          autogen, autoopts-config, columns, getdefs and xml2ag
-        </seg>
-        <seg>
-          libopts.so
-        </seg>
-        <seg>
-          /usr/include/autoopts and
-          /usr/share/autogen
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="autogen-prog">
-        <term><command>autogen</command></term>
-        <listitem>
-          <para>
-            is designed for generating program files that contain 
-            repetitive text with varied substitutions.
-          </para>
-          <indexterm zone="autogen autogen-prog">
-            <primary sortas="b-autogen">autogen</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="autoopts-config">
-        <term><command>autoopts-config</command></term>
-        <listitem>
-          <para>
-            is a tool that is used by configure to determine the compiler and
-            linker flags that should be used to compile and link programs that
-            use <application>AutoOpts</application>.
-          </para>
-          <indexterm zone="autogen autoopts-config">
-            <primary sortas="b-autoopts-config">autoopts-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="columns">
-        <term><command>columns</command></term>
-        <listitem>
-          <para>
-            is used to columnize input text.
-          </para>
-          <indexterm zone="autogen columns">
-            <primary sortas="b-columns">columns</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="getdefs">
-        <term><command>getdefs</command></term>
-        <listitem>
-          <para>
-            is used to extract <application>AutoGen</application> definitions
-            from a list of source files.
-          </para>
-          <indexterm zone="autogen getdefs">
-            <primary sortas="b-getdefs">getdefs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xml2ag">
-        <term><command>xml2ag</command></term>
-        <listitem>
-          <para>
-            is used to convert any arbitrary XML file into equivalent
-            <application>AutoGen</application> definitions.
-          </para>
-          <indexterm zone="autogen xml2ag">
-            <primary sortas="b-xml2ag">xml2ag</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libopts">
-        <term><filename class='libraryfile'>libopts.so</filename></term>
-        <listitem>
-          <para>
-            is an automated option processing library based on
-            <application>AutoGen</application>.
-          </para>
-          <indexterm zone="autogen libopts">
-            <primary sortas="c-libopts">libopts.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 844a44e1c750eb4b649ae64b51460f847b9cf5cc)
+++ general/genutils/genutils.xml	(revision 1915d54615c485ddf89195a0582330a8e6a9ce3b)
@@ -22,5 +22,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="apr-util.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="autogen.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="bc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="compface.xml"/>