Index: general.ent
===================================================================
--- general.ent	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ general.ent	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -1,3 +1,3 @@
-<!ENTITY day          "14">
+<!ENTITY day          "15">
 <!ENTITY month        "12">
 <!ENTITY year         "2004">
@@ -229,5 +229,5 @@
 <!-- rsync (chaptet 18) -->          
 <!ENTITY openldap-version             "2.2.17">
-<!ENTITY samba3-version               "3.0.7">
+<!ENTITY samba3-version               "3.0.9">
 <!ENTITY xinetd-version               "2.3.13">
                                      
@@ -271,7 +271,7 @@
 <!-- Part IX -->
 <!-- Chapter 28 -->
-<!ENTITY kde-version                  "3.3.0">
-<!ENTITY arts-version                 "1.3.0">
-<!ENTITY kde-dldir                    "3.3">
+<!ENTITY kde-version                  "3.3.2">
+<!ENTITY arts-version                 "1.3.2">
+<!ENTITY kde-dldir                    "3.3.2">
 <!ENTITY kde-download-http            "http://mirrors.isc.org/pub/kde/stable/&kde-dldir;/src">
 <!ENTITY kde-download-ftp             "ftp://ftp.kde.org/pub/kde/stable/&kde-dldir;/src">
@@ -279,5 +279,5 @@
                                    
 <!-- Chapter 29 -->                
-<!ENTITY kdevelop-version             "3.1.0">
+<!ENTITY kdevelop-version             "3.1.2">
 
 <!-- Part X -->
Index: general/genutils/desktop-file-utils.xml
===================================================================
--- general/genutils/desktop-file-utils.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ general/genutils/desktop-file-utils.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -26,8 +26,9 @@
 <para>The <application>desktop-file-utils</application> package contains 
 command line utilities for working with <ulink 
-url="http://www.freedesktop.org/standards/desktop-entry-spec/">desktop 
-entries</ulink>. These are used by 
+url="http://www.freedesktop.org/Standards/desktop-entry-spec/">desktop 
+entries</ulink>. These utilities are used by 
 <application><acronym>GNOME</acronym></application>-2 and other applications 
-to adhere to the desktop entries standards specification.</para>
+to manipulate the <acronym>MIME</acronym> application databases and help 
+adhere to the desktop entries standards specification.</para>
 
 <sect3><title>Package information</title>
@@ -37,5 +38,5 @@
 <listitem><para>Download (FTP): 
 <ulink url="&desktop-file-utils-download-ftp;"/></para></listitem>
-<listitem><para>MD5 sum: &desktop-file-utils-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &desktop-file-utils-md5sum;</para></listitem>
 <listitem><para>Download size: &desktop-file-utils-size;</para></listitem>
 <listitem><para>Estimated disk space required: 
@@ -47,6 +48,5 @@
 <sect3><title><application>desktop-file-utils</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="GLib2"/> and 
-<xref linkend="popt"/></para>
+<para><xref linkend="GLib2"/> and <xref linkend="popt"/></para>
 </sect4>
 
@@ -71,4 +71,39 @@
 
 <sect2>
+<title>Configuring <application>desktop-file-utils</application></title>
+
+<sect3><title>Configuration information</title>
+<para>The default location for the <acronym>MIME</acronym>-types application 
+database is <filename>/usr/share/applications/mimeinfo.cache</filename>. If 
+you are going to install, or have already installed, a desktop environment 
+such as <application><acronym>GNOME</acronym></application> or 
+<acronym>KDE</acronym> in a prefix other than 
+<filename class='directory'>/usr</filename>, you'll need to update the 
+<envar>XDG_DATA_DIRS</envar> environment variable so that additional 
+<acronym>MIME</acronym>-types application databases are properly maintained. 
+Add the following to the system-wide or personal profile:</para>
+
+<para>For <application><acronym>GNOME</acronym></application>:</para>
+
+<screen><userinput>XDG_DATA_DIRS=$XDG_DATA_DIRS:$GNOME_PREFIX/share
+export XDG_DATA_DIRS</userinput></screen>
+
+<para>For <application><acronym>KDE</acronym></application>:</para>
+
+<screen><userinput>XDG_DATA_DIRS=$XDG_DATA_DIRS:$KDE_PREFIX/share
+export XDG_DATA_DIRS</userinput></screen>
+
+<para>If you're installing both 
+<application><acronym>GNOME</acronym></application> and 
+<application><acronym>KDE</acronym></application>:</para>
+
+<screen><userinput>XDG_DATA_DIRS=$XDG_DATA_DIRS:$GNOME_PREFIX/share:$KDE_PREFIX/share
+export XDG_DATA_DIRS</userinput></screen>
+
+</sect3>
+
+</sect2>
+
+<sect2>
 <title>Contents</title>
 
@@ -85,5 +120,5 @@
 <para><command>desktop-file-install</command> is used to install a new, or 
 modify an existing desktop file entry. It is also used to rebuild or modify 
-the <acronym>mime</acronym>-types application database.</para></sect3>
+the <acronym>MIME</acronym>-types application database.</para></sect3>
 
 <sect3><title>desktop-file-validate</title>
@@ -93,5 +128,5 @@
 <sect3><title>update-desktop-database</title>
 <para><command>update-desktop-database</command> is used to update the 
-<acronym>mime</acronym>-types application database.</para></sect3>
+<acronym>MIME</acronym>-types application database.</para></sect3>
 
 </sect2>
Index: gnome/core/config.xml
===================================================================
--- gnome/core/config.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ gnome/core/config.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -20,7 +20,12 @@
 <screen><userinput><command>echo "exec gnome-session" &gt;&gt; ~/.xinitrc</command></userinput></screen>
 
-<para>Ensure all libraries can be found with:</para>
+<para>Ensure all libraries can be found with (as root):</para>
 
 <screen><userinput><command>ldconfig</command></userinput></screen>
+
+<para>Update the <acronym>MIME</acronym>-type application database 
+(as root):</para>
+
+<screen><userinput><command>update-desktop-database</command></userinput></screen>
 
 <para>At this point you can bring up
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ introduction/welcome/changelog.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -22,4 +22,9 @@
 
 <itemizedlist>
+
+<listitem><para>December 15th, 2004 [randy]: Updated to KDE-3.3.2 and 
+Samba-3.0.9, added configuration section to desktop-file-utils; added 
+instruction to GNOME core configuration to run 
+update-desktop-database.</para></listitem>
 
 <listitem><para>December 14th, 2004 [randy]: Updated to Mozilla-1.7.3, 
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ kde/core/arts.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -7,8 +7,8 @@
 <!ENTITY arts-download-http "&kde-download-http;/arts-&arts-version;.tar.bz2">
 <!ENTITY arts-download-ftp  "&kde-download-ftp;/arts-&arts-version;.tar.bz2">
-<!ENTITY arts-md5sum        "6a0a03c24a20c43a8e443a5484bb9fef">
-<!ENTITY arts-size          "967 KB">
-<!ENTITY arts-buildsize     "31 MB">
-<!ENTITY arts-time          "1.87 SBU">
+<!ENTITY arts-md5sum        "a3d22f7cc5c641204a28d3f77e441a84">
+<!ENTITY arts-size          "968 KB">
+<!ENTITY arts-buildsize     "31.3 MB">
+<!ENTITY arts-time          "2.00 SBU">
 ]>
 
@@ -19,12 +19,13 @@
 </sect1info>
 <?dbhtml filename="arts.html"?>
-<title>aRts-&arts-version;</title>
+<title><application><acronym>aRts</acronym></application>-&arts-version;</title>
 
 <sect2><title>Introduction to
 <application><acronym>aRts</acronym></application></title>
 
-<para>The Analog Real-time Synthesizer (<acronym>aRts</acronym>)
-provides sound support for <acronym>KDE</acronym> and necessary
-libraries for <application>kdelibs</application>.</para>
+<para>The Analog Real-time Synthesizer 
+(<application><acronym>aRts</acronym></application>) provides 
+sound support for <acronym>KDE</acronym> and necessary libraries for 
+<application>kdelibs</application>.</para>
 
 <sect3><title>Package information</title>
@@ -34,7 +35,7 @@
 <listitem><para>Download (FTP): <ulink
 url="&arts-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &arts-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &arts-md5sum;</para></listitem>
 <listitem><para>Download size: &arts-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &arts-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
@@ -42,5 +43,6 @@
 </sect3>
 
-<sect3><title><application>aRts</application> dependencies</title>
+<sect3><title><application><acronym>aRts</acronym></application> 
+dependencies</title>
 
 <sect4><title>Required</title>
@@ -54,9 +56,9 @@
 
 <sect4><title>Optional</title>
-<para><xref linkend="libogg"/>,
-<xref linkend="libvorbis"/>,
-<xref linkend="alsa"/>,
-<xref linkend="audiofile"/>,
-<xref linkend="libmad"/>,
+<para><xref linkend="libogg"/>, 
+<xref linkend="libvorbis"/>, 
+<xref linkend="alsa"/>, 
+<xref linkend="audiofile"/>, 
+<xref linkend="libmad"/>, 
 <xref linkend="esound"/>, 
 <ulink url="http://www.mediaapplicationserver.net/">MAS</ulink> and 
@@ -68,8 +70,9 @@
 
 <sect2>
-<title>Installation of <application>aRts</application></title>
+<title>Installation of 
+<application><acronym>aRts</acronym></application></title>
 
-<para>Install <application>aRts</application> by running the
-following commands:</para>
+<para>Install <application><acronym>aRts</acronym></application> by running 
+the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
@@ -82,13 +85,14 @@
 <sect2><title>Command explanations</title>
 
-<para><parameter>--prefix=&kde-dir;</parameter> : This option tells the
+<para><parameter>--prefix=&kde-dir;</parameter>: This option tells the 
 process to install the package in 
-<filename class="directory">&kde-dir;</filename>. aRts is installed here as 
+<filename class="directory">&kde-dir;</filename>. 
+<application><acronym>aRts</acronym></application> is installed here as 
 it's required before installing <acronym>KDE</acronym>.</para>
 
-<para><option>--disable-debug</option> : This option causes the
+<para><option>--disable-debug</option>: This option causes the
 package to be compiled without debugging code.</para>
 
-<para><option>--disable-dependency-tracking</option> : This option
+<para><option>--disable-dependency-tracking</option>: This option
 speeds up one time builds.</para>
 
@@ -101,5 +105,5 @@
 <command>artsplay</command>, <command>artsrec</command>, 
 <command>artsshell</command>, <command>artswrapper</command>, 
-<command>mcopidl</command>,  
+<command>mcopidl</command>, 
 <application><acronym>aRts</acronym></application> libraries and 
 <acronym>MCOP</acronym> objects.</para>
@@ -111,7 +115,8 @@
 <application><acronym>aRts</acronym></application> and the various programs 
 included in the package, see 
-<ulink url="http://docs.kde.org/en/3.2/kdemultimedia/artsbuilder/">The aRts 
-Handbook</ulink>. For information in languages other then English, see the 
-<ulink url="http://docs.kde.org/">KDE Documentation</ulink> and navigate to
+<ulink url="http://docs.kde.org/en/3.3/kdemultimedia/artsbuilder/">The 
+<application><acronym>aRts</acronym></application> Handbook</ulink>. For 
+information in languages other then English, see the 
+<ulink url="http://docs.kde.org/">KDE Documentation</ulink> and navigate to 
 the <application><acronym>aRts</acronym></application> documentation in your 
 language.</para>
Index: kde/core/config.xml
===================================================================
--- kde/core/config.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ kde/core/config.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -14,13 +14,21 @@
 <title>Configuring the core <acronym>KDE</acronym> packages</title>
 
-<para>Create an <filename>.xinitrc</filename> file to start
-<acronym>KDE</acronym>:</para>
+<para>Back up your existing <filename>~/.xinitrc</filename> file and create a 
+new <filename>.xinitrc</filename> file to start <acronym>KDE</acronym>:</para>
 
 <screen><userinput><command>echo "exec startkde" &gt; ~/.xinitrc</command></userinput></screen>
 
-<para>Ensure all libraries can be found with:</para>
+<para>If you installed the <xref linkend="desktop-file-utils"/> package, 
+update the <acronym>MIME</acronym>-type application database (as 
+root):</para>
+
+<screen><userinput><command>update-desktop-database</command></userinput></screen>
+
+<para>Ensure all libraries can be found with (as root):</para>
+
 <screen><userinput><command>ldconfig</command></userinput></screen>
 
 <para>At this point you can bring up <acronym>KDE</acronym> with:</para>
+
 <screen><userinput><command>startx</command></userinput></screen>
 
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ kde/core/kdebase.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -7,8 +7,8 @@
 <!ENTITY kdebase-download-http "&kde-download-http;/kdebase-&kde-version;.tar.bz2">
 <!ENTITY kdebase-download-ftp  "&kde-download-ftp;/kdebase-&kde-version;.tar.bz2">
-<!ENTITY kdebase-md5sum        "e8fc098ffb09fcc0a8fdc4446149a8e3">
-<!ENTITY kdebase-size          "19.8 MB">
-<!ENTITY kdebase-buildsize     "174-286 MB (depending on options used)">
-<!ENTITY kdebase-time          "20.11 SBU (including building API docs)">
+<!ENTITY kdebase-md5sum        "edbd721a2a4970977dfe5f45d9e38923">
+<!ENTITY kdebase-size          "19.9 MB">
+<!ENTITY kdebase-buildsize     "269 MB (additional 20 MB for API docs)">
+<!ENTITY kdebase-time          "21.15 SBU (additional 0.24 SBU for API docs)">
 ]>
 
@@ -34,10 +34,17 @@
 <listitem><para>Download (FTP): <ulink
 url="&kdebase-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &kdebase-md5sum;</para></listitem>
+<listitem><para>Download MD5 Sum: &kdebase-md5sum;</para></listitem>
 <listitem><para>Download size: &kdebase-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &kdebase-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &kdebase-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch: <ulink 
+url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.3.2-kdebase-htmlframes2.patch"/></para>
+</listitem></itemizedlist>
 </sect3>
 
@@ -58,12 +65,15 @@
 <sect4><title>Optional</title>
 <para><xref linkend="libtiff"/>, 
-<xref linkend="lesstif"/>,
-<xref linkend="Linux_PAM"/>,
-<xref linkend="openldap"/>,
-<xref linkend="samba3"/>,
+<xref linkend="lesstif"/>, 
+<xref linkend="Linux_PAM"/>, 
+<xref linkend="openldap"/>, 
+<xref linkend="cyrus-sasl"/>, 
+<xref linkend="samba3"/>, 
 <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>, 
-<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
-<ulink url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>,
-<ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
+<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>, 
+<ulink url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>, 
+<ulink url="http://www.linux1394.org/">libraw1394</ulink>, 
+<ulink url="http://secure.netroedge.com/~lm78/">lm_sensors</ulink>, 
+<ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>, 
 <ulink url="http://www.graphviz.org/">GraphViz</ulink> 
 and <xref linkend="doxygen"/></para>
@@ -77,18 +87,21 @@
 <title>Installation of <application>kdebase</application></title>
 
-<para><emphasis>Note:</emphasis> You should ensure a 'nogroup' group exists on 
-your system before performing the <command>make install</command> command, as 
-<application>kdebase</application> installs a program with group ownership of 
-'nogroup'.</para>
+<para><emphasis>Note:</emphasis> You should ensure a <quote>nogroup</quote> 
+group exists on your system before performing the 
+<command>make install</command> command, as <application>kdebase</application> 
+installs a program (<filename>$KDE_PREFIX/bin/kdesud</filename>) with group 
+ownership of <quote>nogroup</quote>.</para>
 
 <para>Install <application>kdebase</application> with:</para>
-<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
+
+<screen><userinput><command>patch -Np0 -i ../post-3.3.2-kdebase-htmlframes2.patch &amp;&amp;
+./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
 
-<note><para>If you wish to create the <acronym>API</acronym> documentation and
-you have <application>Doxygen</application> and
-<application>GraphViz</application> installed, <command>make apidox</command>
+<note><para>If you wish to create the <acronym>API</acronym> documentation and 
+you have <application>Doxygen</application> and 
+<application>GraphViz</application> installed, <command>make apidox</command> 
 must be done before <command>make install</command>.</para></note>
 
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ kde/core/kdelibs.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -7,8 +7,8 @@
 <!ENTITY kdelibs-download-http "&kde-download-http;/kdelibs-&kde-version;.tar.bz2">
 <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kdelibs-md5sum        "1c208724987433fc1929d22928c1a358">
-<!ENTITY kdelibs-size          "15.7 MB">
-<!ENTITY kdelibs-buildsize     "160-615 MB (depending on options used)">
-<!ENTITY kdelibs-time          "12.6-25.2 SBU (depending on options used)">
+<!ENTITY kdelibs-md5sum        "0473fb4c6c2cd2bc0f267cfa201f3fd8">
+<!ENTITY kdelibs-size          "15.6 MB">
+<!ENTITY kdelibs-buildsize     "280 MB (additional 339 MB for API docs)">
+<!ENTITY kdelibs-time          "20.9 SBU (additional 4.97 SBU for API docs)">
 ]>
 
@@ -19,5 +19,5 @@
 </sect1info>
 <?dbhtml filename="kdelibs.html"?>
-<title>kdelibs-&kde-version;</title>
+<title><application>kdelibs</application>-&kde-version;</title>
 
 <sect2>
@@ -36,7 +36,7 @@
 <listitem><para>Download (FTP): <ulink
 url="&kdelibs-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &kdelibs-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &kdelibs-md5sum;</para></listitem>
 <listitem><para>Download size: &kdelibs-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &kdelibs-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
@@ -44,11 +44,13 @@
 </sect3>
 
-<!-- <sect3><title>Additional downloads</title>
+<sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.2.2-kdelibs-kapplication.patch"/></para></listitem>
-<listitem><para>Required Patch: <ulink
-url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.2.2-kdelibs-ktelnetservice.patch"/></para></listitem>
-</itemizedlist></sect3> -->
+<listitem><para>Required Patch: <ulink 
+url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.3.2-kdelibs-htmlframes2.patch"/></para>
+</listitem>
+<listitem><para>Required Patch: <ulink 
+url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.3.2-kdelibs-kio.diff"/></para>
+</listitem></itemizedlist>
+</sect3>
 
 <sect3><title><application>kdelibs</application> dependencies</title>
@@ -90,5 +92,8 @@
 
 <para>Install <application>kdelibs</application> with:</para>
-<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
+
+<screen><userinput><command>patch -Np0 -i ../post-3.3.2-kdelibs-htmlframes2.patch &amp;&amp;
+patch -Np0 kio/kio/job.cpp ../post-3.3.2-kdelibs-kio.diff &amp;&amp;
+./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking --enable-fast-malloc=full &amp;&amp;
 make &amp;&amp;
@@ -108,12 +113,12 @@
 </para>
 
-<para><option>--disable-debug</option>: This option causes the
+<para><option>--disable-debug</option>: This option causes the 
 package to be compiled without debugging code.</para>
 
-<para><option>--disable-dependency-tracking</option>: This option
+<para><option>--disable-dependency-tracking</option>: This option 
 speeds up one time builds.</para>
 
-<para><parameter>--enable-fast-malloc=full</parameter>: This option tells
-<acronym>KDE</acronym> programs to use an internal memory allocation
+<para><parameter>--enable-fast-malloc=full</parameter>: This option tells 
+<acronym>KDE</acronym> programs to use an internal memory allocation 
 scheme optimized for <acronym>KDE</acronym>.</para>
 
Index: kde/core/pre-install-config.xml
===================================================================
--- kde/core/pre-install-config.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ kde/core/pre-install-config.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -33,4 +33,11 @@
 configuration changes:</para>
 
+<para>You should consider installing the <xref linkend="desktop-file-utils"/> 
+package. Though not required, this package will allow you to easily use 
+existing <filename>.desktop</filename> files in 
+<filename class='directory'>/usr/share/applications</filename> (and any other 
+locations identified by <envar>XDG_DATA_DIRS</envar>), and automatically add 
+these applications to the <acronym>KDE</acronym> menu system.</para>
+
 <para>Add to your system or personal profile:</para>
 
@@ -62,9 +69,10 @@
 <filename class="directory">/opt</filename>, one trick to avoid the
 above configuration changes every time you
-install the new version is to replace
+install a new version is to replace
 <filename class="directory">/opt/kde-&kde-version;</filename>
 with <filename class="directory">/opt/kde</filename> and to create a symlink from
 <filename class="directory">/opt/kde-&kde-version;</filename>
 to <filename class="directory">/opt/kde</filename>.</para>
+
 <screen><userinput><command>ln -sf kde-&kde-version; /opt/kde</command></userinput></screen>
 </tip>
Index: server/other/samba3.xml
===================================================================
--- server/other/samba3.xml	(revision 007e8ce4940b95d8ed53e13009155c023c5edc17)
+++ server/other/samba3.xml	(revision 1986ade9631994f3d3ed53269e602c3e2d5abba5)
@@ -7,7 +7,7 @@
 <!ENTITY samba3-download-http "http://us1.samba.org/samba/ftp/samba-&samba3-version;.tar.gz">
 <!ENTITY samba3-download-ftp "ftp://ftp.samba.org/pub/samba/samba-&samba3-version;.tar.gz">
-<!ENTITY samba3-size "15.0 MB">
-<!ENTITY samba3-buildsize "136 MB">
-<!ENTITY samba3-time "2.04 SBU">
+<!ENTITY samba3-size "15.1 MB">
+<!ENTITY samba3-buildsize "141 MB">
+<!ENTITY samba3-time "2.11 SBU">
 ]>
 
@@ -35,17 +35,15 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&samba3-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&samba3-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &samba3-size;</para></listitem>
-<listitem><para>Estimated disk space required: &samba3-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &samba3-time;</para></listitem></itemizedlist>
-</sect3>
-
-<!-- <sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Maintainer Recommended Patch: <ulink 
-url="&patch-root;/samba-&samba3-version;-maintainer-1.patch"/></para></listitem>
-</itemizedlist>
-</sect3> -->
+<listitem><para>Download (HTTP): 
+<ulink url="&samba3-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&samba3-download-ftp;"/></para></listitem>
+<listitem><para>Download size: 
+&samba3-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&samba3-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&samba3-time;</para></listitem></itemizedlist>
+</sect3>
 
 <sect3>
@@ -86,10 +84,13 @@
 make &amp;&amp;
 make install &amp;&amp;
-chmod 644 /usr/include/libsmbclient.h &amp;&amp;
+mv /usr/lib/samba/libsmbclient.so /usr/lib &amp;&amp;
+ln -sf ../libsmbclient.so /usr/lib/samba &amp;&amp;
+chmod 644 /usr/include/libsmbclient.h \
+          /usr/lib/samba/libsmbclient.a &amp;&amp;
 install -m755 nsswitch/libnss_win{s,bind}.so /lib &amp;&amp;
 ln -sf libnss_winbind.so /lib/libnss_winbind.so.2 &amp;&amp;
 ln -sf libnss_wins.so /lib/libnss_wins.so.2 &amp;&amp;
 cp ../examples/smb.conf.default /etc/samba &amp;&amp;
-install -m644 ../docs/*.pdf /usr/share/samba
+install -m644 ../docs/*.pdf /usr/share/samba &amp;&amp;
 if [ -f nsswitch/pam_winbind.so ]; then 
     install -m755 nsswitch/pam_winbind.so /lib/security
@@ -132,4 +133,10 @@
 instructions on how to configure and use the module by running 
 <command>man winbindd</command>.</para>
+
+<para><command>mv /usr/lib/samba/libsmbclient.so ...; ln -sf 
+../libsmbclient.so ...</command>: The 
+<filename class='libraryfile'>libsmbclient.so</filename> library is needed 
+by other packages. This command moves it to a location where other packages 
+can find it.</para>
 
 <para><command>install -m755 nsswitch/libnss_win{s,bind}.so /lib</command>:
@@ -304,6 +311,4 @@
 <para>The <application>Samba</application> package contains
 <command>findsmb</command>, 
-<command>make_smbcodepage</command>,
-<command>make_unicodemap</command>,
 <command>mount.smbfs</command>,
 <command>net</command>,
@@ -330,4 +335,5 @@
 <command>tdbbackup</command>, 
 <command>tdbdump</command>, 
+<command>tdbtool</command>, 
 <command>testparm</command>,
 <command>testprns</command>,
@@ -342,10 +348,4 @@
 <para><command>findsmb</command> lists information about machines that respond 
 to <acronym>SMB</acronym> name queries on a subnet.</para></sect3>
-<sect3><title>make_smbcodepage</title>
-<para><command>make_smbcodepage</command> converts text descriptions of code 
-pages to binary code page files and vice versa.</para></sect3>
-<sect3><title>make_unicodemap</title>
-<para><command>make_unicodemap</command> converts text Unicode map files to 
-binary, for use in mapping characters to 16 bit Unicode.</para></sect3>
 <sect3><title>mount.smbfs</title>
 <para><command>mount.smbfs</command> provides <command>/bin/mount</command> 
@@ -433,4 +433,7 @@
 <para><command>tdbdump</command> is a tool used to print the contents of a 
 <application>Samba</application> <filename>.tdb</filename> file.</para></sect3>
+<sect3><title>tdbtool</title>
+<para><command>tdbtool</command> is a tool which allows simple database 
+manipulation on the commandline.</para></sect3>
 <sect3><title>testparm</title>
 <para><command>testparm</command> checks an <filename>smb.conf</filename> file 